<?php
require_once(APPLICATION_PATH . "/abc.php");
class Admin_IndexController extends WebReport_Controller_Action {

    public function indexAction() {
        $menuItems = new Admin_Model_MenuItems();
        /*if (!extension_loaded("cmwebreport")) {
            $this->view->license_ok = false;
            return;
        }*/
        $this->view->license_ok = false;
        $user = Zend_Auth::getInstance()->getIdentity();

        if($user->multi_company) {
            $lic = Zend_Registry::get('config-license');
            $dec = cm_decrypt2($lic->registrationCode,
                          $lic->activationCode,
                          'foobar');
            $this->view->license_ok = $dec != null;
        } else {
            $this->view->license_ok = true;
        }

        if($user->multi_company) {
            $backup_reminder = Core_Model_ConfigurationsList::getBackupReminder();
            $this->view->backup_completed = !$backup_reminder->show;
        } else {
            $this->view->backup_completed = true;
        }

        if ($this->view->backup_completed && $this->view->license_ok) {
            $this->_helper->redirector("index", "index", "overview");
        }
    }


    /**
     * Function to catch translatable strings in Poedit.
     *
     * @return void
     */
    private function _translatableStrings() {
        $this->_translate->_('MOD_CORE_NAME');

        $this->_translate->_('MOD_ADMIN_NAME');
        $this->_translate->_('MOD_ADMIN_MENU_COMPANIES');
        $this->_translate->_('MOD_ADMIN_MENU_USERS');
        $this->_translate->_('MOD_ADMIN_MENU_MODULES');
        $this->_translate->_('MOD_ADMIN_MENU_DATA_STORAGE');
        $this->_translate->_('MOD_ADMIN_MENU_DATA_STORAGE_AND_MANAGEMENT');
        $this->_translate->_('MOD_ADMIN_MENU_DATA_MANAGEMENT');
        $this->_translate->_('MOD_ADMIN_MENU_EVENT_LISTENER');
        $this->_translate->_('MOD_ADMIN_MENU_ACL');
        $this->_translate->_('MOD_ADMIN_MENU_LOGS');
        $this->_translate->_('MOD_ADMIN_MENU_CONFIG');
        $this->_translate->_('MOD_ADMIN_MENU_EXPORT_DATA');
        $this->_translate->_('MOD_ADMIN_MENU_COUNT_DATA_SETS');
        
        $this->_translate->_('SEARCH');
        $this->_translate->_('FIND_DOCUMENT');

        $this->_translate->_('SUBMIT');
        $this->_translate->_('NEXT_STEP');

        $this->_translate->_('BROWSE_FOLDERS');
        $this->_translate->_('ADD_FOLDER_HERE');
        $this->_translate->_('CREATORS');
        $this->_translate->_('VIEWERS');
        $this->_translate->_('DELETE_FOLDER');

        $this->_translate->_("ADD");
        $this->_translate->_("PROFILE");
        $this->_translate->_("INACTIVE");
        $this->_translate->_("by_Cognimatics");
        /* error message */
        $this->_translate->_("OOOPS...");
        $this->_translate->_("AN_ERROR_HAS_OCCURED");
        $this->_translate->_('People_Counter');
        $this->_translate->_('Zone_Counter');
        $this->_translate->_('TrueView_Web_Report');

        $this->_translate->_('NEW_PASSWORD');
        $this->_translate->_('CURRENT_PASSWORD');

        $this->translate->_("ABOUT_TRUEVIEW_WEB_REPORT");

        $this->translate->_("TRUEVIEW_WEB_REPORT(R)_IS_COGNIMATICS_STATISTICAL_SOFTWARE_FOR_ANALYZING_DATA_FROM_THE_APPLICATIONS_TRUEVIEW_PEOPLE_COUNTER(R)_AND_TRUEVIEW_ZONE_COUNTER(R).");

        $this->translate->_("IMPORT_POINT_OF_SALE_DATA_FROM_CSV_FILES.");

        $this->translate->_("ABOUT_WEB_REPORT");
    }

}
