<?php

class Admin_ValidateController extends WebReport_Controller_Action
{

	public function formAction() 
	{
		$this->_helper->layout->disableLayout();    //disable layout
		$this->_helper->viewRenderer->setNoRender(); //suppress auto-rendering

		if (!$this->getRequest()->isPost()) {
			echo "[]";
			return;
		}

   	$ret = array();

		$class = $this->_getParam("_class");
		$param1 = $this->_getParam("_param1", false);
		$param2 = $this->_getParam("_param2", false);
		if ($param1 !== false && $param2 !== false) {
			$form = new $class($param1, $param2);
		} else if ($param1 !== false) {
			$form = new $class($param1);
		} else {
			$form = new $class();
		}

		$ret['valid'] = true;

		if (!$form->isValid($this->getRequest()->getPost())) {
			$ret['valid'] = false;
			$ret['errors'] = $form->getMessages();
		}

		echo Zend_Json::encode($ret);
		return;
	}

}
