<?php

class Admin_Form_EditLicense extends UniForm_Form
{

    public function init()
    {
        parent::init();



        $reg_code = new UniForm_Form_Element_Text('registrationCode');
        $reg_code ->setLabel('REGISTRATION_CODE')
                             ->setRequired();

        $install_id = new UniForm_Form_Element_Text('installationId');
        $install_id ->setLabel('INSTALLATION_ID')
                             ->setRequired();

        $activation_code = new UniForm_Form_Element_Text('activationCode');
        $activation_code ->setLabel('ACTIVATION_CODE')
                             ->setRequired();

        $refresh = new UniForm_Form_Element_Button("refresh");
        $refresh->setLabel("REFRESH_ACTIVATION_CODE")
          ->setAttrib('class', 'secondaryAction');

        $this->addElements(array($reg_code, $install_id, $activation_code, $refresh));

        $this->addDisplayGroup(array('registrationCode', 'installationId', 'activationCode', 'refresh'),
                                        'license-data-group',
                                        array('legend' => 'LICENSE_DATA')
                                );


        $submit = new UniForm_Form_Element_Submit('submit');
        $submit->setLabel('SUBMIT');

        $this->addElements(array($submit));


        return $this;

    }


}
