<?php

class Admin_Form_EditVirtualCamera extends UniForm_Form
{

	/**
	 * Constructor
	 *
	 * @see Zend_Form
	 * @param mixed $options
	 * @return void
	 */
	public function __construct($options = null)
	{
		parent::__construct($options);
	}

	public function init()
	{
		parent::init();

		$name = new UniForm_Form_Element_Text('name');
		$name->setLabel('VIRTUAL_CAMERA_NAME')
			->setRequired()
			->addFilter('StringTrim');

		$description = new UniForm_Form_Element_Textarea('description');
		$description->setLabel('DESCRIPTION');

		$submit = new UniForm_Form_Element_Submit('submit');
		$submit->setLabel('UPDATE');

		$this->addElements(array($name, $description));
		$this->addDisplayGroup(array('name','description'),'formula-info');

		$this->addElements(array($submit));

	}

}