<?php
class Charts_Form_TableComparison extends UniForm_Form{
    public function init(){
        parent::init();
        $ok = new UniForm_Form_Element_Submit('ok');
        $ok->setLabel(_T("OK"));
        $dal = new Charts_Model_DataAggregatorList();
        $mode = $dal->getFormElement("simpleDialogMode", _T("COLUMN_HEADERS"), false, null, array(_T("15_MINUTE_USAGE"), _T("TOTAL_SUM_OF_DATA_SOURCES")));

        $mode->setValue(3);
        $mode->setAttrib("name","mode");
        $this->addElements(array($mode));
        $this->addDisplayGroup(array('simpleDialogMode'), 'comparison-wizard');
        $this->addElement($ok);
    }

    public static function factoryFromArray($array){
        $form = new Charts_Form_GlobalSettings();
        $form->populate($array);
        return $form;
    }
}
