<?php
class Charts_Form_TableSectionEntrySettings extends UniForm_Form {
    public function init() {
        parent::init();

        $title = new UniForm_Form_Element_Text('title');
        $remove_entry = new UniForm_Form_Element_Button("remove_entry");
        $edit_cameras = new UniForm_Form_Element_Button("edit_cameras");

        $title
            ->setLabel(_T("ROW_TITLE"))
            ->setDescription(_T("LEAVE_BLANK_TO_ONLY_USE_THE_UNIT_TYPE_OF_SELECTED_DATA_(E.G._PEOPLE)_AS_TITLE."));
        $edit_cameras
            ->setLabel(_T("ADD_OR_REMOVE_ROW_DATA_SOURCE(S)"))
            ->setDescription(_T("IF_MORE_THAN_ONE_DATA_SOURCE_IS_SELECTED_THE_SOURCES_WILL_SUMMED_TO_ONE_VALUE."));
        $done = new UniForm_Form_Element_Submit("done");
        $done
            ->setLabel(_T("DONE"));

        $this->addElements(array($title,  $edit_cameras));
        $this->addDisplayGroup(array('title','edit_cameras', 'remove_entry'),'table-section-entry-group');
        $this->addElement($done);
    }
}
