<?php

class Charts_Model_ChartDataSourceCameraList extends Talking_Db_Table
{
    protected $_name = 'mod_charts_data_source_camera';
    protected $_primary = 'chart_data_source_camera_id';

	protected $_referenceMap    = array(
        'ChartDataSource' => array(
            'columns' => array('chart_data_source_id'),
            'refTableClass' => 'Charts_Model_ChartDataSourceList',
            'refColumns' => array('chart_data_source_id')
        ),
		'Camera' => array(
			'columns'           => array('virtual_camera_id'),
			'refTableClass'     => 'Core_Model_VirtualCameras',
			'refColumns'        => array('virtual_camera_id')
		),
        'VirtualCamera' => array(
			'columns'           => array('camera_id'),
			'refTableClass'     => 'Core_Model_Cameras',
			'refColumns'        => array('camera_id')
		)
	);

}
