<?php
class Charts_Model_ChartRender_Json extends Charts_Model_ChartRender_Abstract{

    protected $_code = "json"; // unique code for this format
    protected $_content_type = "application/json; charset=utf-8"; //mime content type for this format
    protected $_file_extension = ".json";


    function _render(){
        $ret = array();

        for($j=0; $j < $this->_dataLength; $j++) {
            $row = array( );
            for($i=0; $i < $this->_numberOfDataSources; $i++) {
                $row[$this->_dataSourceTitles[$i]] = $this->_dataSourceData[$i][$j];
            }
            $ret[$this->_dataLabels[$j]] = $row;
        }

        return Zend_Json::encode($ret);
    }

}
