<?php
class Charts_Model_TableSectionEntries extends Talking_Db_Table
{
    protected $_name     = 'table_section_entry';
    protected $_primary  = 'table_section_entry_id';
    protected $_rowClass = 'Charts_Model_TableSectionEntry';

    //protected $_dependentTables = array('Charts_Model_TableSections');

    protected $_referenceMap = array(
    );

    public function __construct() {
        parent::__construct();
    }

    public static function removeEntriesForSection($sectionId) {
        $tsDb = self::getInstance();
        $entries = $tsDb->fetchAll($tsDb->select()->where('table_section_id = ?', $sectionId));
        foreach($entries as $entry) {
            $entry->delete();
        }
    }
}
