<?php

class Core_Model_AclPrivilegeGroups extends Talking_Db_Table
{
	protected $_name = 'acl_privilege_group';
	protected $_primary = 'acl_privilege_group_id';

	protected $_dependentTables = array('Core_Model_AclPrivilegeGroupAssemblies');
	protected $_referenceMap    = array(
		'AclResource' => array(
			'columns'		=> array('acl_resource_id'),
			'refTableClass' => 'Core_Model_AclResources',
			'refColumns'	=> array('acl_resource_id')
		)
	);

}
