<?php

include_once 'core/models/AclPrivilegeGroupAssemblyPrivilege.php';

class Core_Model_AclPrivileges extends Talking_Db_Table
{
	protected $_name = 'acl_privilege';
	protected $_primary = 'acl_privilege_id';

	protected $_dependentTables = array('Core_Model_AclPrivilegeGroupAssemblyPrivilege');
	protected $_referenceMap    = array(
		'Resource' => array(
			'columns'		=> array('acl_resource_id'),
			'refTableClass' => 'Core_Model_AclResources',
			'refColumns'	=> array('acl_resource_id')
		)
	);

}
