<?php

class Core_Model_AclResources extends Talking_Db_Table
{
	protected $_name = 'acl_resource';
	protected $_primary = 'acl_resource_id';

	protected $_dependentTables = array('Core_Model_AclPrivileges', 'Core_Model_AclPrivilegeGroups');

	protected $_referenceMap = array(
		'Module' => array(
			'columns'           => array('module_id'),
			'refTableClass'     => 'Core_Model_Modules',
			'refColumns'        => array('module_id')
		)
	);

}
