<?php

class Core_Model_AclRolePrivilegeGroupAssembly extends Talking_Db_Table
{
	protected $_name = 'acl_role_privilege_group_assembly';
	protected $_primary = 'acl_role_privilege_group_assembly_id';

	protected $_referenceMap    = array(
		'Role' => array(
			'columns'			=> array('acl_role_id'),
			'refTableClass'		=> 'Core_Model_AclRoles',
			'refColumns'		=> array('acl_role_id')
		),
		'PrivilegeGroupAssembly' => array(
			'columns'			=> array('acl_privilege_group_assembly_id'),
			'refTableClass'		=> 'Core_Model_AclPrivilegeGroupAssemblies',
			'refColumns'		=> array('acl_privilege_group_assembly_id')
		)
	);


}
