<?php

class Core_Model_Api_Method_Version_Get extends WebReport_Api_Method_Abstract
{

	public function userIsAllowed(Core_Model_User $user)
	{
		return true;
	}

	public function needsAuthentication()
	{
		/*
		  if($_SERVER['REMOTE_ADDR'] == "127.0.0.1" ||
		  $_SERVER['REMOTE_ADDR'] == "::1" ) {
		  return false;
		  }
		 */
		return false;
	}

	public function call(array $params)
	{
//		if(!isset($params["params"]) || !isset($params["params"]["id"])){
                
		echo json_encode(array(
			"request" => "OK",
			//version must be named version and not camera_api_version for legacy camera report support.
			"camera_api_version" => WebReport_Version::CAMERA_API_VERSION,
			"product_version" => WebReport_Version::VERSION,
			"product" => "DataManager",
			"time" => time()
                ));
	}
}

