<?php

class Core_Model_CameraSet_CameraSetType1Sections extends Talking_Db_Table
{
    protected $_name = 'camera_set_type1_section';
    protected $_primary = 'camera_set_type1_section_id';

    //protected $_rowsetClass = 'Core_Model_CameraSet_CameraSetCamerasRowset';
    protected $_rowClass = 'Core_Model_CameraSet_CameraSetType1Section';

    public function getSectionsBySetId($camera_set_id)
    {
        $select = $this->select();
        $select->where('camera_set_id = ?', $camera_set_id);
        return $this->fetchAll($select);
    }

    public function getSectionById($camera_set_type1_section_id)
    {
        $select = $this->select();
        $select->where('camera_set_type1_section_id = ?', $camera_set_type1_section_id);
        return $this->fetchAll($select)->current();
    }
}
