<?php

class Core_Model_CompanyChannelLogs extends Talking_Db_Table
{
    protected $_name = 'company_channel_log';
    protected $_primary = 'company_channel_log_id';
    protected $_rowClass = 'Core_Model_CompanyChannelLog';

    public function getLogsForCompany($company){
        $db = $this->getAdapter();
        $select = $db->select()->from(array("logs" => $this->_name))
                               ->join(array("user" => "user"), "user.user_id = logs.user_id")
                               ->where("logs.company_id = ?", $company->company_id)
                               ->order("time DESC");
        $logs = $db->fetchAll($select);
        return $logs;
    }
}
