<?php

include_once "core/models/CountData/FormulaSets.php";

class Core_Model_CountData_Set_FormulaSets extends Talking_Db_Table
{
	protected $_name = 'count_data_set_formula_set';
	protected $_primary = 'count_data_set_formula_set_id';

    protected $_referenceMap    = array(
        'CountDataSet' => array(
            'columns'           => array('count_data_set_id'),
            'refTableClass'     => 'Core_Model_CountData_Sets',
            'refColumns'        => array('count_data_set_id')
        ),
        'FormulaSet' => array(
            'columns'           => array('count_data_formula_set_id'),
            'refTableClass'     => 'Core_Model_CountData_FormulaSets',
            'refColumns'        => array('count_data_formula_set_id')
        )
    );


}
