<?php

include_once "core/models/VirtualCameras.php";

class Core_Model_CountData_Set_VirtualCameras extends Talking_Db_Table
{
	protected $_name = 'count_data_set_virtual_camera';
	protected $_primary = 'count_data_set_virtual_camera_id';

    protected $_referenceMap    = array(
        'CountDataSet' => array(
            'columns'           => array('count_data_set_id'),
            'refTableClass'     => 'Core_Model_CountData_Sets',
            'refColumns'        => array('count_data_set_id')
        ),
        'VirtualCamera' => array(
            'columns'           => array('virtual_camera_id'),
            'refTableClass'     => 'Core_Model_VirtualCameras',
            'refColumns'        => array('virtual_camera_id')
        )
    );


}
