<?php

class Core_Model_FoldersUsersSync extends Talking_Db_Table
{
	protected $_name = 'group_user_sync';
	protected $_primary = array('group_id', 'user_id');

	protected $_referenceMap    = array(
		'Group' => array(
			'columns'           => array('group_id'),
			'refTableClass'     => 'Core_Model_Folders',
			'refColumns'        => array('group_id')
		),
		'User' => array(
			'columns'           => array('user_id'),
			'refTableClass'     => 'Core_Model_Users',
			'refColumns'        => array('user_id')
		)
	);
}