<?php

class Core_Model_LogMessages extends Talking_Db_Table
{
	protected $_name = 'log_message';
	protected $_primary = 'log_message_id';

	protected $_referenceMap = array(
		'Log' => array(
			'columns'		=> array('log_id'),
			'refTableClass'	=> 'Core_Model_Logs',
			'refColumns'	=> array('log_id')
		),
		'Company' => array(
			'columns'		=> array('company_id'),
			'refTableClass' => 'Core_Model_Companies',
			'refColumns'	=> array('company_id')
		)
	);

}

