<?php

class Core_Model_Protocol_Legacy extends Core_Model_Protocol_Abstract implements Core_Model_Protocol_ProtocolInterface
{
    //This whole class is a placeholder if we decide it's a good idea to change Legacy reporting (ie countdata pre JSON) so that it's handled with "Protocols".
    public function init() {
        parent::init();
        $this->setId(0);
    }

    public static function addData($data)
    {
        throw new WebReport_Exception("The Legacy protocol is not supposed to be used this way.");
    }

    public static function prepareDataAndFetchObjects($data, $app = null, $group = null)
    {
        throw new WebReport_Exception("The Legacy protocol is not supposed to be used this way.");
    }

    public static function createLocalCntTimeFromTimestampAndOffset($timestamp, $utc_offset)
    {
        throw new WebReport_Exception("The Legacy protocol is not supposed to be used this way.");
    }

    public static function updateTimestamps($camera, $utc_offset, $first_timestamp, $last_timestamp)
    {
        throw new WebReport_Exception("The Legacy protocol is not supposed to be used this way.");
    }

    public static function safelyCreateDateTime($timestamp)
    {
        throw new WebReport_Exception("The Legacy protocol is not supposed to be used this way.");
    }

    public static function updateOpeningHours($data, $camera)
    {
        throw new WebReport_Exception("The Legacy protocol is not supposed to be used this way.");
    }
}
