<?php

class Demographics_Model_Api_Method_Demographics_GetLastDate extends WebReport_Api_Method_Abstract
{

	public function userIsAllowed(Core_Model_User $user)
	{
		return true;
	}

	public function needsAuthentication()
	{
		/*
		  if($_SERVER['REMOTE_ADDR'] == "127.0.0.1" ||
		  $_SERVER['REMOTE_ADDR'] == "::1" ) {
		  return false;
		  }
		 */
		return false;
	}

	public function call(array $params)

	{
        //r_log("demographics.GetLastSavedDataTime called");
        $data = $this->decodeVersion4('00:00:00');
        if(!$data) {
            throw new WebReport_Api_Exception("No data to decode.");
            return;
        }
        $date = Core_Model_Cameras::getLastSavedTimeForSeperatedString($data, true, "##", true);
        if (isset($date)) {
            //r_log($date, "returning date: ");
            echo $date;
        } else {
            throw new WebReport_Api_Exception("Could not generate last date for camera");
        }
	}
}

