<?php

abstract class Heatmap_Model_ColorScheme
{

    protected $_alias;
    protected $_name;
    protected $_colors;

    public function __construct()
    {
        $this->init();
        
        if (!$this->_alias) {
            throw new WebReport_Exception("Alias is not set");   
        }
        
        if (!$this->_name) {
            throw new WebReport_Exception("Name is not set");   
        }

        if (!$this->_colors) {
            throw new WebReport_Exception("Colors are not set");   
        }
    }
    
    protected function init()
    {}

    protected function setAlias($alias) 
    {
        $this->_alias = $alias;
    }

    public function getAlias() 
    {
        return $this->_alias;
    }

    protected function setName($name) 
    {
        $this->_name = $name;
    }

    public function getName() 
    {
        return $this->_name;
    }

    protected function setColors($colors) 
    {
        $this->_colors = $colors;
    }

    public function getColors()
    {
        return $this->_colors;
    }

}