<?php

class Installation_Model_DatabaseUpdateEntry_DM100_Update0001 extends Installation_Model_DatabaseUpdateEntryAbstractAddTable
{
    protected $_tableName = 'event_data_demographics';
    protected $_stmt = 'CREATE TABLE `event_data_demographics` (
  `event_data_demographics_id` int(11) NOT NULL AUTO_INCREMENT,
  `camera_id` int(11) NOT NULL,
  `t_start` DOUBLE NOT NULL,
  `t_end` DOUBLE NOT NULL,
  `gender` tinyint(1) NOT NULL,
  `age` tinyint(3) NOT NULL,
  `avg_boxsize` smallint(4) NOT NULL,
  PRIMARY KEY (`event_data_demographics_id`),
  KEY `camera_id_key` (`camera_id`),
  KEY `t_end_key` (`t_end`),
  CONSTRAINT `event_data_demographics_ibfk_1` FOREIGN KEY (`camera_id`) REFERENCES `camera` (`camera_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;';
}
