<?php

class Installation_Model_DatabaseUpdateEntry_DM100_Update0007 extends Installation_Model_DatabaseUpdateEntryAbstractAddTable
{
    protected $_tableName = 'export';
    protected $_stmt = 'CREATE TABLE `export` (
  `export_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `company_id` int(11) NOT NULL,
  `name` varchar(128) NOT NULL,
  `export_type` tinyint(3) NOT NULL,
  `output_format` varchar(16) NOT NULL,
  `time_interval_type` varchar(16) NOT NULL,
  `fix_interval_start` date DEFAULT NULL,
  `fix_interval_end` date DEFAULT NULL,
  `time_resolution` varchar(16) DEFAULT NULL,
  `last_accessed` date DEFAULT NULL,
  `times_accessed` int(8) DEFAULT 0,
  `aggregator_id` tinyint(3) DEFAULT 0,
  `access_key` varchar(16) NOT NULL,
  PRIMARY KEY (`export_id`),
  KEY `company_id_key` (`company_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;';
}
