<?php

abstract class Installation_Model_DatabaseUpdateEntryAbstractAddTable extends Installation_Model_DatabaseUpdateEntryAbstract
{

    protected $_tableName = null;
    protected $_stmt = null;

    protected function _preAssert() {
        return true;
    }

    protected function _postAssert() {
        $q = $this->_conn->query("SHOW TABLES LIKE '".$this->_tableName."'")->fetchAll();
        if(count($q) != 1) {
            return false;
        }
        return true;
    }

    protected function _update() {
        if($this->_postAssert()) return true;

        $this->_conn->exec($this->_stmt);
        return true;
    }

    protected function _description() {
        return "Add table " .$this->_tableName;
    }

}
