<?php

class Installation_Model_DatabaseUpdateEntryAbstractAddVersion extends Installation_Model_DatabaseUpdateEntryAbstract
{
    protected $_version = "";
    private $_skip = false;

    protected function _preAssert() {
        $q = $this->_conn->query("SHOW TABLES LIKE 'database_version'")->fetchAll();

        if(count($q) != 1) {
            return false;
        }

        $q = $this->_conn->query("SELECT * FROM database_version WHERE version LIKE '" . $this->_version . "'")->fetchAll();
        if(count($q) != 0) {
            $this->_skip = true;
        }

        return true;
    }

    protected function _postAssert() {
        $q = $this->_conn->query("SHOW TABLES LIKE 'database_version'")->fetchAll();
        if(count($q) != 1) {
            return false;
        }

        $q = $this->_conn->query("SELECT * FROM database_version WHERE version LIKE '".$this->_version."'")->fetchAll();
        if(count($q) != 1) {
            return false;
        }

        return true;
    }

    protected function _update() {
        if(!$this->_skip)
            $this->_conn->exec("INSERT INTO database_version (version, applied_patch_number) VALUES ('".$this->_version."', ".$this->_id.")");
        return true;
    }

    protected function _description() {
        return "Add version " . $this->_version;
    }
}
