<?php

class Installation_Model_DatabaseUpdateEntryAbstractRawQuery extends Installation_Model_DatabaseUpdateEntryAbstract
{
    protected $_raw_query = "";

    protected function _preAssert()
    {
        if ($this->_raw_query == "") {
                return false;
        } else {
            return true;
        }
    }

    protected function _postAssert()
    {
        //This function will generally have to be overwritten by the specific update so it checks that the raw query has done it's job.
        return true;
    }

    protected function _update()
    {
        $this->_conn->exec($this->_raw_query);
        return true;
    }

    protected function _description()
    {
        return "Run raw SQL query: ". $this->_raw_query;
    }
}
