<?php

class Pos_Form_AddPosValues extends UniForm_Form
{

	protected $_action;

	/**
	 * Constructor
	 *
	 * @see Zend_Form
	 * @param string $action Can be add or edit
	 * @param mixed $options
	 * @return void
	 */
	public function __construct($action = "add", $options = null)
	{
		$this->_action = $action;
		parent::__construct($options);
	}
        
        public function init()
	{
		parent::init();
		
		//$this->addElementPrefixPath('Reports_Form_ReportAdd_General_Validate', 'reports/forms/ReportAdd/General/Validate', 'validate');

                $csv = new Pos_Model_CSVImport();
  
		$this->setAttrib("id", "general-form");                
                
                /*$companiesDb = new Core_Model_Companies();

                $identity = Zend_Auth::getInstance()->getIdentity();
                if (!$identity->multi_company) {
                    $company = $companiesDb->find($identity->company_id);
                    $company_id = new UniForm_Form_Element_Hidden('company_id');
                    $company_id->setValue($identity->company_id);
                } else {
                    $company_id = new UniForm_Form_Element_Select('company_id');
                    $company_id->setLabel('COMPANY')
                        ->addMultiOption(0, "SELECT_A_COMPANY.")
                        ->setRequired()
                        ->addValidator(new Zend_Validate_GreaterThan(0))
                        ->setErrorMessages(array($this->getView()->translate("MUST_BELONG_TO_A_COMPANY.")));

                    $companies = $companiesDb->fetchAll($companiesDb->select()->where('active = ?', 1)->order('name'));                                 
                    foreach ($companies as $company) {
                        $company_id->addMultiOption($company->company_id, $company->name);
                    }
                    if(isset($this->_companyId)) $company_id->setValue($this->_companyId);
                }  */              

                $name = new UniForm_Form_Element_Text('name');
		$name->setLabel('NAME')
			->setRequired()
                        //->setValue("Andreas")
                        ->setDescription(_T("SET_A_NAME"))
			->addFilter('StringTrim');
                
		$datetime = new UniForm_Form_Element_Checkbox('datetime');
                $datetime->setLabel(_T("DATETIME"));

		$datetimeformat = new UniForm_Form_Element_Checkbox('datetimeformat');
		$datetime->setLabel(_T("DATETIME"));

		$date = new UniForm_Form_Element_Checkbox('date');
		$date->setLabel(_T("DATE"));
                
                $time = new UniForm_Form_Element_Checkbox('time');
		$time->setLabel(_T("TIME"));
                
                $timeFrom = new UniForm_Form_Element_Checkbox('timeFrom');
		$timeFrom->setLabel(_T("TIME_FROM"));
                
                $timeTo = new UniForm_Form_Element_Checkbox('timeTo');
		$timeTo->setLabel(_T("TIME_TO"));
                
                /*$datetimeformat = new UniForm_Form_Element_Text('datetimeformat');
		$datetimeformat->setLabel('DATETIME FORMAT')
                        ->setValue("YYYY-MM-DD")
                        ->setDescription("Choose a datetime format");*/

                $sales = new UniForm_Form_Element_Checkbox('sales');
		$sales->setLabel(_T("SALES"));
                
                $transactions = new UniForm_Form_Element_Checkbox('transactions');
		$transactions->setLabel(_T("TRANSACTIONS"));
                
                $salesformat = new UniForm_Form_Element_Text('salesformat');
		$salesformat->setLabel('DATETIME_FORMAT')
                        ->setValue("YYYY-MM-DD")
                        ->setDescription(_T("CHOOSE_A_DATETIME_FORMAT"));

                $currlist = new UniForm_Form_Element_Select('currlist');
		$currlist->setLabel(_T("CURRENCY"));
                
                $currency = new Zend_Currency('en_US');
                $arr_currency = $currency->getCurrencyList('en_US');                
                            
                foreach ($arr_currency as $curr) {
                    $currlist->addMultiOption($curr, $curr);                        
                }                
                //$enc->setValue("utf8");  
                
                $schedule = new UniForm_Form_Element_Select('schedule');
		$schedule->setLabel("SCHEDULE")
		->setDescription("HOW_OFTEN_DATA_SHALL_BE_PULLED_FROM_LOCAL_FILE_PATH")
                ->addMultiOption(0, "No")  
                ->addMultiOption(1, "Every day")  
                ->addMultiOption(2, "Every hour");                

		$this->addElements(array($name, $datetime, $date, $time, $timeFrom, $timeTo, $sales, $transactions));
		$this->addDisplayGroup(array('name','datetime', 'date', 'time', 'timeFrom', 'timeTo', 'sales', 'transactions'), 'general-group', array("legend" => "GENERAL_INFORMATION"));
                       
                $submit = new UniForm_Form_Element_Submit('submit');
		$submit->setLabel("SUBMIT")
		 ->setAttrib("id", "page-submit");
		 
		$this->addElement($submit);
                
        }

	/*public function init()
	{
		parent::init();

		$action = $this->_action;

		$name = new UniForm_Form_Element_Text('name');
		$name->setLabel('SET_NAME')
			->setRequired()
			->addFilter('StringTrim');

		$submit = new UniForm_Form_Element_Submit('submit');
		$submit->setLabel('SUBMIT');

		$peopleCounterApp = new Core_Model_Application_PeopleCounter();
		$countDataDb = new Core_Model_CountData(Zend_Auth::getInstance()->getIdentity()->company_id, $peopleCounterApp);
		$cameraRows = $countDataDb->getCameraNames();

		$cameras = new UniForm_Form_Element_MultiCheckbox('cameras');
		$cameras->setLabel('CAMERAS')
			->setRequired();
		foreach ($cameraRows as $cameraId => $cameraName) {
			$cameras->addMultiOption($cameraId, $cameraName);
		}

		$this->addElements(array($name, $cameras)); //, $password_confirm));
		$this->addDisplayGroup(array('name', 'cameras'), 'general-group');


		$this->addElements(array($submit));
	}*/

}
