<?php

class Pos_Model_MenuItems extends WebReport_Module_MenuItems_Abstract
{
	/**
	 * Get admin module menu items.
	 *
	 * @return array
	 */
	public function getAll()
	{
		$acl = WebReport_Acl::getInstance();
		$items = array();

		// @todo Check with ACL
		$identity = Zend_Auth::getInstance()->getIdentity();

		$items['browse'] = array(
			'text' => 'MOD_POS_NAME',
			'class' => 'browse',
			'urlOptions' => array('module' => 'pos', 'controller' => 'index', 'action' => 'browse')
		);
                
        /*
		$items[''] = array(
			'text' => 'POS_TAGS',
			'class' => 'pos_format',
			'urlOptions' => array('module' => 'pos', 'controller' => 'set', 'action' => 'browse')
		);
        */
	
		$items = $this->filterNotAllowedItems($items);

		return $this->translate($items);

    }

    public function getDescription(){
        return $this->translate(_T("IMPORT_POINT_OF_SALE_DATA_FROM_CSV_FILES."));
    }
}
