<?php

class Pos_Model_Set extends Zend_Db_Table_Row_Abstract
{

	public function getCameras()
	{
		$db = $this->getTable()->getAdapter();
		$camerasDb = new Core_Model_Cameras();
		$setCameraDb = new Pos_Model_SetCamera();
		$cameras = $db->fetchAll($db->select()->from(array("s" => $this->getTable()->info('name')), array())
			->join(array("sc" => $setCameraDb->info('name'), "sc.pos_set_id = s.pos_set_id"), array())
			->join(array("c" => $camerasDb->info('name')), "c.camera_id = sc.camera_id", array("name")));
		
		$ret = array();
		foreach ($cameras as $cam) {
			$ret[$cam->camera_id] = $cam->name;
		}

		return $ret;
	}

}
