<?php

class Reports_Pdf_Page_Cell_Text extends Reports_Pdf_Page_Cell_Abstract
{
	public function render()
	{

		parent::render();
		
		$page = $this->_page;
		$cell = $this->_cell;
		
		$f = $this->_drawingFrame;
                $margin = 5;
		
		$font = $page->font;
		$page->setFont($font, Reports_Pdf_Page::CELL_TEXT_SIZE);
		$size = $page->getFontSize();

        $text = str_replace("\r\n", "\n", $cell->getText());

        $page->drawTextBox($text, $f->getX1()+$margin, $f->getY2()-$size, $f->getX2()-$margin);
				
	}
}
