<?php

abstract class Reports_Renderer_Abstract
{

	protected $_report;
	
	public function __construct(Reports_Model_Report $report)
	{
		$this->setReport($report);
	}	
	
	public function setReport(Reports_Model_Report $report)
	{
		$this->_report = $report; 
	}
	
	public function getReport()
	{
		return $this->_report;
	}
	
	abstract public function render();
	abstract public function saveToFile($path);

}