<?php

class Reports_Renderer_Pdf extends Reports_Renderer_Abstract
{

	const HEADER_FONT_SIZE = 12;
	const FOOTER_FONT_SIZE = 12;

	protected $_pdf;
	
	

	public function __construct(Reports_Model_Report $report, $date=null)
	{
        parent::__construct($report);
        if(is_null($date))
            $this->_pdf = new Reports_Pdf_Pdf($report);
        else
		    $this->_pdf = new Reports_Pdf_Pdf($report, $date);
	}	

	public function render($generate_date = NULL) 
	{
        $pdf = $this->_pdf;
        set_time_limit(60*5);
        $rendered = $pdf->render();
        set_time_limit(30);
		return $rendered;
		
	}
	
	public function saveToFile($path) 
	{
		
	}
	

}
