<?php

class Reports_Form_Validate_Email extends Zend_Validate_Abstract
{
    protected $_messageTemplates = array('email' => "INVALID");

    public function isValid($value) {

        $sp = "\r\n";

        foreach(explode($sp, $value) as $add) {
            if(!filter_var($add, FILTER_VALIDATE_EMAIL) && trim($add) != '') {
                $this->_error('email');
                return false;
            }
        }

        return true;
    }
}