<?php

class Reports_Model_Api_Method_Reports_GetLocations extends WebReport_Api_Method_Abstract
{
	public function userIsAllowed(Core_Model_User $user)
	{
		return true;
	}

	public function needsAuthentication()
	{
		/*
		  if($_SERVER['REMOTE_ADDR'] == "127.0.0.1" ||
		  $_SERVER['REMOTE_ADDR'] == "::1" ) {
		  return false;
		  }
        */
		return false;
	}

    protected function _get_request_url($p) {
        $base_url = 'http://www.worldweatheronline.com/feed/search.ashx?';
        
        $params = '';
        $first = true;
        foreach($p as $key => $value) {
            $params .= ($first ? '' : '&') . $key . '=' . urlencode($value);
            $first = false;
        } 

        return $base_url . $params;
    }

	public function call(array $params)
	{
        $request_url = $this->_get_request_url($params['params']);
        $ch = curl_init($request_url);

        $options = array(
                         CURLOPT_RETURNTRANSFER => true,
                         CURLOPT_HTTPHEADER => array('Content-type: application/json')
                         );

        curl_setopt_array($ch, $options);

        echo curl_exec($ch);   
	}
}
