<?php

class AmCharts_Labels implements Iterator {

	protected $_labels;

	protected $_position;

	public function __construct()
	{
		$this->_position = 0;
	}

	public function addLabel($text, $x = 0, $y = 0, $params = array())
	{
		if ($text instanceof AmCharts_Label)
			$this->_labels[] = $text;
		else
			$this->_labels[] = new AmCharts_Label($text, $x, $y, $params);
	}

	public function getLabels()
	{
		return $this->_labels;
	}


	function rewind() {
		$this->_position = 0;
	}

	function current() {
		return $this->_labels[$this->_position];
	}

	function key() {
		return $this->_position;
	}

	function next() {
		++$this->_position;
	}

	function valid() {
		return isset($this->_labels[$this->_position]);
	}

}

