<?php

class AmCharts_Settings_Pie extends AmCharts_Settings_Abstract
{



	public function loadDefaults()
	{
		$this->dataType = "xml";
		$this->csvSeparator = ";";
		$this->skipRows = "0";
		$this->font = "Arial";
		$this->textSize = "11";
		$this->textColor = "#000000";
		$this->decimalsSeparator = ",";
		$this->thousandsSeparator = " ";
		$this->digitsAfterDecimal = "";
		$this->redraw = "false";
		$this->reloadDataInterval = "0";
		$this->preloaderOnReload = "false";
		$this->addTimeStamp = "false";
		$this->connect = "false";
		$this->hideBulletsCount = "";
		$this->linkTarget = "";
		$this->startOnAxis = "true";
		$this->colors = "[#FF0000,#0000FF,#00FF00,#FF9900,#CC00CC,#00CCCC,#33FF00,#990000,#000066,#555555]";
		$this->rescaleOnHide = "true";
		$this->background = array();
		$this->background->color = "#FFFFFF";
		$this->background->alpha = "0";
		$this->background->borderColor = "#000000";
		$this->background->borderAlpha = "0";
		$this->background->file = "";
		$this->plotArea = array();
		$this->plotArea->color = "#FFFFFF";
		$this->plotArea->alpha = "0";
		$this->plotArea->borderColor = "#000000";
		$this->plotArea->borderAlpha = "0";
		$this->plotArea->margins = array();
		$this->plotArea->margins->left = "60";
		$this->plotArea->margins->top = "60";
		$this->plotArea->margins->right = "60";
		$this->plotArea->margins->bottom = "80";
		$this->scroller = array();
		$this->scroller->enabled = "true";
		$this->scroller->y = "";
		$this->scroller->color = "#DADADA";
		$this->scroller->alpha = "100";
		$this->scroller->bgColor = "#F0F0F0";
		$this->scroller->bgAlpha = "100";
		$this->scroller->height = "10";
		$this->grid = array();
		$this->grid->x = array();
		$this->grid->x->enabled = "true";
		$this->grid->x->color = "#000000";
		$this->grid->x->alpha = "15";
		$this->grid->x->dashed = "false";
		$this->grid->x->dashLength = "5";
		$this->grid->x->approxCount = "4";
		$this->grid->yLeft = array();
		$this->grid->yLeft->enabled = "true";
		$this->grid->yLeft->color = "#000000";
		$this->grid->yLeft->alpha = "15";
		$this->grid->yLeft->dashed = "false";
		$this->grid->yLeft->dashLength = "5";
		$this->grid->yLeft->approxCount = "10";
		$this->grid->yLeft->fillColor = "#FFFFFF";
		$this->grid->yLeft->fillAlpha = "0";
		$this->grid->yRight = array();
		$this->grid->yRight->enabled = "true";
		$this->grid->yRight->color = "#000000";
		$this->grid->yRight->alpha = "15";
		$this->grid->yRight->dashed = "false";
		$this->grid->yRight->dashLength = "5";
		$this->grid->yRight->approxCount = "10";
		$this->grid->yRight->fillColor = "#FFFFFF";
		$this->grid->yRight->fillAlpha = "0";
		$this->values = array();
		$this->values->x = array();
		$this->values->x->enabled = "true";
		$this->values->x->rotate = "0";
		$this->values->x->frequency = "1";
		$this->values->x->skipFirst = "false";
		$this->values->x->skipLast = "false";
		$this->values->x->color = "";
		$this->values->x->textSize = "";
		$this->values->x->inside = "false";
		$this->values->yLeft = array();
		$this->values->yLeft->enabled = "true";
		$this->values->yLeft->reverse = "false";
		$this->values->yLeft->rotate = "0";
		$this->values->yLeft->min = "";
		$this->values->yLeft->max = "";
		$this->values->yLeft->strictMinMax = "false";
		$this->values->yLeft->frequency = "1";
		$this->values->yLeft->skipFirst = "true";
		$this->values->yLeft->skipLast = "false";
		$this->values->yLeft->color = "";
		$this->values->yLeft->textSize = "";
		$this->values->yLeft->unit = "";
		$this->values->yLeft->unitPosition = "right";
		$this->values->yLeft->integersOnly = "false";
		$this->values->yLeft->inside = "false";
		$this->values->yLeft->duration = "";
		$this->values->yRight = array();
		$this->values->yRight->enabled = "true";
		$this->values->yRight->reverse = "false";
		$this->values->yRight->rotate = "0";
		$this->values->yRight->min = "";
		$this->values->yRight->max = "";
		$this->values->yRight->strictMinMax = "false";
		$this->values->yRight->frequency = "1";
		$this->values->yRight->skipFirst = "true";
		$this->values->yRight->skipLast = "false";
		$this->values->yRight->color = "";
		$this->values->yRight->textSize = "";
		$this->values->yRight->unit = "";
		$this->values->yRight->unitPosition = "right";
		$this->values->yRight->integersOnly = "false";
		$this->values->yRight->inside = "false";
		$this->values->yRight->duration = "";
		$this->axes = array();
		$this->axes->x = array();
		$this->axes->x->color = "#000000";
		$this->axes->x->alpha = "100";
		$this->axes->x->width = "2";
		$this->axes->x->tickLength = "7";
		$this->axes->yLeft = array();
		$this->axes->yLeft->type = "line";
		$this->axes->yLeft->color = "#000000";
		$this->axes->yLeft->alpha = "100";
		$this->axes->yLeft->width = "2";
		$this->axes->yLeft->tickLength = "7";
		$this->axes->yLeft->logarithmic = "false";
		$this->axes->yRight = array();
		$this->axes->yRight->type = "line";
		$this->axes->yRight->color = "#000000";
		$this->axes->yRight->alpha = "100";
		$this->axes->yRight->width = "2";
		$this->axes->yRight->tickLength = "7";
		$this->axes->yRight->logarithmic = "false";
		$this->indicator = array();
		$this->indicator->enabled = "true";
		$this->indicator->zoomable = "true";
		$this->indicator->color = "#BBBB00";
		$this->indicator->lineAlpha = "100";
		$this->indicator->selectionColor = "#BBBB00";
		$this->indicator->selectionAlpha = "25";
		$this->indicator->xBalloonEnabled = "true";
		$this->indicator->xBalloonTextColor = "";
		$this->balloon = array();
		$this->balloon->enabled = "true";
		$this->balloon->onlyOne = "false";
		$this->balloon->onOff = "true";
		$this->balloon->color = "";
		$this->balloon->alpha = "";
		$this->balloon->textColor = "";
		$this->balloon->textSize = "";
		$this->balloon->maxWidth = "";
		$this->balloon->cornerRadius = "0";
		$this->balloon->borderWidth = "0";
		$this->balloon->borderAlpha = "";
		$this->balloon->borderColor = "";
		$this->legend = array();
		$this->legend->enabled = "true";
		$this->legend->x = "";
		$this->legend->y = "";
		$this->legend->width = "";
		$this->legend->maxColumns = "";
		$this->legend->color = "#FFFFFF";
		$this->legend->alpha = "0";
		$this->legend->borderColor = "#000000";
		$this->legend->borderAlpha = "0";
		$this->legend->textColor = "";
		$this->legend->textColorHover = "#BBBB00";
		$this->legend->textSize = "";
		$this->legend->spacing = "10";
		$this->legend->margins = "0";
		$this->legend->graphOnOff = "true";
		$this->legend->reverseOrder = "false";
		$this->legend->align = "left";
		$this->legend->key = array();
		$this->legend->key->size = "16";
		$this->legend->key->borderColor = "";
		$this->legend->key->keyMarkColor = "#FFFFFF";
		$this->legend->values = array();
		$this->legend->values->enabled = "false";
		$this->legend->values->width = "80";
		$this->legend->values->align = "right";
		$this->legend->values->text = "{value}";
		$this->zoomOutButton = array();
		$this->zoomOutButton->x = "";
		$this->zoomOutButton->y = "";
		$this->zoomOutButton->color = "#BBBB00";
		$this->zoomOutButton->alpha = "0";
		$this->zoomOutButton->textColor = "0";
		$this->zoomOutButton->textColorHover = "";
		$this->zoomOutButton->textSize = "#BBBB00";
		$this->zoomOutButton->text = "Show all";
		$this->help = array();
		$this->help->button = array();
		$this->help->button->x = "";
		$this->help->button->y = "";
		$this->help->button->color = "#000000";
		$this->help->button->alpha = "100";
		$this->help->button->textColor = "100";
		$this->help->button->textColorHover = "#BBBB00";
		$this->help->button->textSize = "";
		$this->help->button->text = "?";
		$this->help->balloon = array();
		$this->help->balloon->color = "#000000";
		$this->help->balloon->alpha = "100";
		$this->help->balloon->width = "300";
		$this->help->balloon->textColor = "#FFFFFF";
		$this->help->balloon->textSize = "";
		$this->help->balloon->text = "";
		$this->exportAsImage = array();
		$this->exportAsImage->file = "";
		$this->exportAsImage->target = "";
		$this->exportAsImage->x = "0";
		$this->exportAsImage->y = "";
		$this->exportAsImage->color = "#BBBB00";
		$this->exportAsImage->alpha = "0";
		$this->exportAsImage->textColor = "";
		$this->exportAsImage->textSize = "";
		$this->errorMessages = array();
		$this->errorMessages->enabled = "true";
		$this->errorMessages->x = "";
		$this->errorMessages->y = "";
		$this->errorMessages->color = "#BBBB00";
		$this->errorMessages->alpha = "100";
		$this->errorMessages->textColor = "#FFFFFF";
		$this->errorMessages->textSize = "";
		$this->strings = array();
		$this->strings->noData = "No data for selected points";
		$this->strings->exportAsImage = "Export as image";
		$this->strings->errorInDataFile = "Error in data file";
		$this->strings->collectingData = "Collecting data";
		$this->strings->wrongZoomValue = "Incorrect values";
		$this->strings->ss = "";
		$this->strings->mm = ":";
		$this->strings->hh = ":";
		$this->strings->DD = "d. ";
		$this->contextMenu = array();
		$this->contextMenu->defaultItems = array();
		$this->contextMenu->defaultItems->zoom = "false";
		$this->contextMenu->defaultItems->print = "true";
		$this->verticalLines = array();
		$this->verticalLines->width = "0";
		$this->verticalLines->alpha = "100";
		$this->verticalLines->clustered = "false";
		$this->verticalLines->mask = "true";
	}


}