<?php
/**
 * Uni-Form extension to Zend Framework
 *
 * LICENSE
 *
 * Due to the license of Uni-form these classes are release under a Creative 
 * Commons License.
 * 
 * @category   UniForm
 * @package    UniForm_Form
 * @copyright  Copyright (c) 2008 Gustaf Lindqvist (http://www.lookwhostalkingnow.com)
 * @license    http://creativecommons.org/licenses/by-sa/2.5/ Creative Commons License.
 * @version	   0.5
 */

/** Zend_Form_DisplayGroup */
require_once 'Zend/Form/DisplayGroup.php';

/**
 * UniForm_Form_DisplayGroup
 * 
 * Create correct markup for display groups.
 */

class UniForm_Form_DisplayGroup extends Zend_Form_DisplayGroup
{

	/*
	 * Init display group (<fieldset>) with correct class.
	 *
	 * @return void
	 */
	public function init()
	{
		parent::init();

		$this->setDecorators(array(
				array('FormElements'),
				array('Fieldset', array('class' => 'inlineLabels'))
			));

	}

}
