<?php  
require_once 'Zend/Form/Element/Text.php';  

class UniForm_Form_Element_Text extends Zend_Form_Element_Text {  

	public function init() {

		$this->addPrefixPath('UniForm_Form_Decorator', 'UniForm/Form/Decorator/', 'decorator');

		$this->addFilter('StringTrim');
		$this->setDecorators(array(
				array('ViewHelper'),
				array('Description', array('tag' => 'p', 'class' => 'formHint')),
				array('Label', array('requiredPrefix' => '<em>&bull;</em> ', 'escape' => false)),
				array('UniFormErrors'),
				array('HtmlTag', array('tag' => 'div', 'class' => 'ctrlHolder'))
			));

		$this->class = 'textInput';

		parent::init();
	}

}  