<?php  
require_once 'Zend/Form/Element/Textarea.php';  

class UniForm_Form_Element_Textarea extends Zend_Form_Element_Textarea {  

  public function init() {
  
    $this->addPrefixPath('UniForm_Form_Decorator', 'UniForm/Form/Decorator/', 'decorator');  
  
    $this->setAttribs(array("rows" => 25, "cols" => 25));  

    $this->setDecorators(array(  
      array('ViewHelper'),
      array('Description', array('tag' => 'p', 'class' => 'formHint')),  
      array('Label', array('requiredPrefix' => '<em>&bull;</em> ', 'escape' => false)),
      array('UniFormErrors'),
      array('HtmlTag', array('tag' => 'div', 'class' => 'ctrlHolder'))
    ));
    
  }  

}  