<?php

class UniForm_Resource_UniForm
    extends Zend_Application_Resource_ResourceAbstract
{

    public $_explicitType = 'UniForm';

    public function init()
    {
        $this->getBootstrap()->bootstrap('FrontController');
        $front = $this->getBootstrap()->getResource('FrontController');
        $options = $this->getOptions();

        if (isset($options['enableTranslation']) && $options['enableTranslation']) {
            $translationResource = "tranate";
            if (isset($options['translationResource'])) {
                $translationResource = $options['translationResource'];
            }
            $this->getBootstrap()->bootstrap($translationResource);
            $translate = $this->getBootstrap()->getResource($translationResource);

            UniForm_Form::setDefaultTranslator($translate);
        }


	UniForm_Form::setCssDirectory($front->getBaseUrl() . '/' . $options['cssPath']);



    }
}