<?php

class WebReport_Controller_Action extends Zend_Controller_Action
{

	/**
	 * FlashMessenger
	 *
	 * @var Zend_Controller_Action_Helper_FlashMessenger
	 */
	protected $_flashMessenger = null;

	protected $_translate = null;
    protected $_group = null;
    protected $_user = null;

	public function init() {
		parent::init();

		$view = $this->view;

		$params = $this->_request->getParams();
		$view->module = $params['module'];
		$view->controller = $params['controller'];
		$view->action = $params['action'];

		$this->_flashMessenger = $this->_helper->getHelper('FlashMessenger');
		//$this->view->action = $this->_request->getActionName();

		$this->_translate = Zend_Registry::get('Zend_Translate');

		$modulesDb = new Core_Model_Modules();

		if (Zend_Auth::getInstance()->getIdentity() != null) {
			$front = Zend_Controller_Front::getInstance();
			//$view->modules = $modules;
			//$view->menu = new stdClass();
			//$view->menu->modules = $modules->getMenuItems();
			$view->modules = array_keys($front->getControllerDirectory());
            $this->_user = Core_Model_Users::getCurrentUser();
            $groupId = (int) $this->_request->getParam('folder');
            if($groupId) {
                $groupsDb = Core_Model_Folders::getInstance();
                $this->_group = $groupsDb->find($groupId)->current();
            }
		}
		$view->headTitle("", Zend_View_Helper_Placeholder_Container_Abstract::SET);

		$view->headTitle()->enableTranslation();
		$view->headTitle('AXIS Store Data Manager', Zend_View_Helper_Placeholder_Container_Abstract::PREPEND);
		$view->headTitle()->setSeparator(' - ');
		
		if (array_key_exists('layout', $params)) {
			$this->_helper->layout->setLayout($params['layout']);			
		}

		

	}


}
