<?php

class WebReport_Exception extends Exception
{    
    public function __construct($message = ""){
        $translate = Zend_Registry::get('Zend_Translate');
        $message = $translate->_($message);
        parent::__construct($message);
        if ( Zend_registry::isRegistered("loggers") ) {
            $loggers = Zend_Registry::get('loggers');
            $logger  = $loggers->getLogger('maintenance');
            $logger->warn($translate->_(_T("EXCEPTION:")) . " " . $this->getMessage() . " " . $translate->_(_T("AT:")) . " " . $this->file . ":" . $this->getLine());
        }
    }
}

