<?php

class WebReport_Export_Csv extends WebReport_Export_Abstract
{
    function clean($str) {
        return preg_replace("/,/", " ", $str);
    }

	public function render($filename = null)
	{

		if (!$filename)
			$filename = "WebReport-Csv-" . date("Ymdhis");

		$headers = $this->getHeaders();
		$data = $this->getData();
		ob_start();
		$response = Zend_Controller_Front::getInstance()->getResponse();

		$response->setHeader("Content-Type", "text/plain; charset=utf-8");
        $response->setHeader("Content-Disposition", 'filename="' . $filename . '.txt"');
        foreach($headers as &$header)  {
            $header = $this->clean($header);
        }
		echo implode(", ", $headers) . "\n";
		$ck = array_keys($headers);
                        foreach ($data as $row) {
                        $toEcho = array();
                        $row = (array)$row;
			foreach ($ck as $k) {
                            $toEcho[] = (array_key_exists($k,$row) &&!is_null($row[$k])) ? $this->clean($row[$k]) : '';
                        }
                        echo implode(", ", $toEcho) . "\n";
		}
		ob_end_flush();
	}

}
