<?php

include_once 'IAM_XLS/iam_xls.php';

class WebReport_Export_Excel extends WebReport_Export_Abstract
{

	public function render($filename = null)
	{

		if (!$filename)
			$filename = "WebReport-Excel-" . date("Ymd-his"); // file extension will be added by IAM_XLS

		$xls = new IAM_XLS($filename);

//		$xls->WriteValue(0, 0, "TrueView Web Report - " . $this->getApplication()->getName());
		$xls->WriteValue(0, 0, "TrueView Web Report Export");

		$columnCount = 0;
		$rowCount = 2;
		$headers = $this->getHeaders();
		foreach ($headers as $h) {
			$xls->WriteValue($rowCount, $columnCount++, $h);
		}
		$columnCount = 0;
		$rowCount++;

		$ck = array_keys($headers);
		$data = $this->getData();
		foreach ($data as $row) {
			$row = (array)$row;
			$toEcho = array();
			foreach ($ck as $k) {
				if (isset($row[$k])) {
					$xls->WriteValue($rowCount, $columnCount++, $row[$k]);
				} else {
					$xls->WriteValue($rowCount, $columnCount++, "");
				}
			}
			$rowCount++;
			$columnCount = 0;
		}

		$xls->OutputFile(Zend_Controller_Front::getInstance()->getResponse());

	}

}