<?php

class WebReport_View_Helper_FlashMessages
{
	public $view;

	const NOTICE = 'notice';
	const ERROR = 'error';
	const OK = 'ok';

	public function flashMessages($type = WebReport_View_Helper_FlashMessages::NOTICE)
	{
		if (!$this->view->messages)
			return;

		$text = '';

		foreach ($this->view->messages as $message) {
			$text .= '<div class="flashmessage">';
			$text .= '<p class="' . $type . '">' . $this->view->escape($message) . '</p>';
			$text .= '</div>';
		}
		return $text;
	}

	public function setView(Zend_View_Interface $view)
	{
		$this->view = $view;
	}

}
