<div class="list-wrapper">
<?if(isset($header)) :?>
    <h3 class="list-header"><?=$header?></h3>
<?endif;?>
<?

if($initDataTables==1) {
    $view->dataTables(".list-table", array("oLanguage" => array("sSearch" => ""), "aoColumns" => array(array("bSortable" => false))));
}
$unique = uniqid();
?>
<table class="list-table <?= $unique; ?>" cellspacing="0">
    <thead>
        <tr>
        <th></th>
        <? foreach($list->getHeaders() as $head) : ?>
            <th><?= $translate->_($head) ?></th>
        <? endforeach; ?>
<?= $view->jQueryUIConfirmDialog("table." . $unique . " tbody li.delete a", ucfirst($view->translate("DELETE")) . "?", $view->translate($list->removeText()), '$(this).closest("tr").find("td:eq(1)").text() + " " + $(this).closest("tr").find("td:eq(2)").text()', true); ?>

        </tr>
    </thead>
    <tbody>
    <? foreach ($list->getOrderedData() as $id => $datarow) : ?>
        <tr id="row-<?= $view->escape($id); ?>">
        <td style="padding-right:0px">
        <ul class="actions">
        <?
            $actions = $list->getActions($datarow['_source']);
            if(isset($group) && $group->canEdit($user) &&  $list->movableItems() &&  !$this->moveForm->isEmpty()){
                $actions[] = array('url' => array('module'     => 'admin',
                                                     'controller' => 'folders',
                                                     'action'     => 'move',),
                                   'translation' => $view->translate('MOVE_TO_ANOTHER_FOLDER'),
                                   'class'       => 'move');

            }
        ?>
        <? foreach ($actions as $action) : ?>
            <?php
                if (isset($action['ext_url'])) {
                    $url = $action['ext_url'];
                    $target = "_blank";
                } else {
                    $action['url']['id'] = $id;
                    $url = $view->url($action['url'], null, true);
                    $target = "";
                }
                if ($url) : ?>
                <li class="<?= $action['class'] ?>">
                <?php if(isset($action['unclickable'])) :?>
                    <span title="<?= $translate->_($action['translation']); ?>"></span>
                <?php else :?>
                    <a href="<?= $url; ?>" target="<?= $target; ?>" data-look-for-cookie="<?= isset($action['loader']) ? $action['loader'] : ""  ?>" title="<?= $translate->_($action['translation']); ?>"></a>
                <?php endif; ?>
                </li>
            <?php endif; ?>
        <? endforeach ?>
        <?php $needed_width = count($actions)*25; ?>
        <div style="width:<?= $needed_width ?>px;height:0px"  class="tmpfiller"></div>
        </td></ul>
        <? foreach ($datarow as $key =>$column) : ?>
            <?
                if(gettype($key) == 'string' && substr($key,0,1) == '_') continue;
                $plaintext = gettype($column) == 'string';
                $text = $plaintext ? $column : $column['text'];
            ?>
            <? if(!$plaintext && count($column['classes']) > 0) : ?>
                <? if (count($column['title']) > 0) : ?>
                    <td class="<?=implode(" ", $column['classes']);?>" title = "<?=$column['title'];?>">
                <? else : ?>
                    <td class="<?=implode(" ", $column['classes']);?>">
                <? endif; ?>
            <? else : ?>
                <td>
            <? endif; ?>
                <?= @$view->escape($text); ?>
            </td>
        <? endforeach ; ?>
        </tr>
    <? endforeach ; ?>
    </tbody>
</table>
</div>

<? if ($initDataTables) : ?>
<? if (isset($this->moveForm)) : ?>
<div id="moveForm" title="<?=$view->translate("MOVE_DIALOG") ?>">
    <?= $this->moveForm ?>
</div>
<? endif; ?>
<? $view->headScript()->captureStart(); ?>
function deleteCookie(name) {
    document.cookie = name+'=;-1; path=/';
}
$(function(){
    $.each($("table li.view a, table li.download a"), function(i, val) {
        var cookie = $(this).data("look-for-cookie");
        if(cookie) {
            $(this).click(function () {
                $(".overlay, .loader").show();
                var timerId = setInterval(function() {
                    var pdfFinished = $.cookie(cookie);
                    if(pdfFinished &&  pdfFinished.length > 0) {
                        $(".overlay, .loader").fadeOut();
                        deleteCookie(cookie);
                        clearInterval(timerId);
                    }
                }, 300);
            });
        }
    });


        var $moveForm = $("#moveForm");
        if($moveForm.length){
        $moveForm.dialog({
            autoOpen : false,
            draggable : true,
            resizable : false,
            modal : true,
            width : 500
        });
        var firstEnabled = false;
        $moveForm.find("select option").each(function() {
            var splut = $(this).html().split(" ");

            var depth = parseInt(splut[1]);
            var disabled = splut[0] == "d";

            var indent = Array(depth+1).join('&nbsp;');
            var label = splut.slice(2).join(" ");

            var newLabel = indent + label;

            $(this).html(newLabel).attr('label', '');

            if(disabled) $(this).attr("disabled","disabled");
            else if(firstEnabled === false) firstEnabled = $(this).val();
        });
        if(firstEnabled !== false) $moveForm.find("select").val(firstEnabled);

        var questionText = "<?= $view->translate("WHERE_WOULD_YOU_LIKE_TO_MOVE_'{0}'?")?>",
            connectionExplanation = "<?= $view->translate("NOTE_THAT_IN_ORDER_FOR_NEW_DATA_FROM_THE_CAMERA_TO_ARRIVE_TO_DESTINATION_FOLDER,_YOU_MUST_ALSO_CHANGE_CONNECTION_PARAMETERS_IN_THE_EMBEDDED_CAMERA_USER_INTERFACE_TO_THE_DESTINATION_FOLDERS_PARAMETERS.")?>",
            $question = $("<label/>").html("Polite question goes here").css('margin-bottom','10px'),
            $connectionLabel = $("<label/>").html(connectionExplanation).css({'margin-bottom':'20px','font-style':'italic'});
        $('label[for="folder"]',$moveForm).prepend($connectionLabel).prepend($question)
        $('.move a').click(function(e){
            e.preventDefault();

            $moveForm.data('trigger',$(this)).dialog('open');
            var text = $(this).parent().parent().parent().parent().find("td:eq(1)").html();
            $question.html(questionText.replace("{0}",$.trim(text)));

            strs = $(this).attr('href').split('/');
            for(x in strs) {
                if(strs[x] == 'id') {
                    camera_id = strs[parseInt(x)+1];
                    break;
                }
            }

            $("#moveForm button").click(function(e) {
                e.preventDefault();

                var dst = $("#folder").val();

                $.ajax({
                        type: 'post',
                        dataType: 'json',
                        url: '<?= $view->url(array('module' => 'sources', 'controller' => 'folders', 'action' => 'move')); ?>',
                        data: {
                            destination: dst,
                            camera: camera_id
                        }
                }).done(function() { location.reload(); });
            });

            });
        }
        $("body").append($("<div/>")
            .addClass("overlay")
            .hide());
        $("body").append($("<div/>")
            .addClass("loader")
            .css("left", $(window).width()/2)
           .css("top", $(window).height()/2)
           .hide());
    });
<? $view->headScript()->captureEnd(); ?>
<? endif; ?>
<?
/*
                        <td>
                                <ul class="actions">
                                        <?php if ($url = $this->aclUrl(array("module" => "admin", "controller" => "users", "action" => "edit", "id" => $this->escape($user->user_id)), null, true)) : ?><li class="edit"><a href="<?= $url; ?>" title="<?= $this->translate('EDIT_USER'); ?>"><?= $this->translate('EDIT_USER'); ?></a></li><?php endif; ?>
                                        <?php if ($url = $this->aclUrl(array("module" => "admin", "controller" => "users", "action" => "change-password", "id" => $this->escape($user->user_id)), null, true)) : ?><li class="changepassword"><a href="<?= $url; ?>" title="<?= $this->translate('CHANGE_PASSWORD'); ?>"><?= $this->translate('CHANGE_PASSWORD'); ?></a></li><?php endif; ?>
                                        <?php if ($user->user_id != Zend_Auth::getInstance()->getIdentity()->user_id  && $url = $this->aclUrl(array("module" => "admin", "controller" => "users", "action" => "inactivate", "id" => $this->escape($user->user_id)), null, true)) : ?><li class="delete"><a href="<?= $url; ?>" title="<?= $this->translate('INACTIVATE_USER'); ?>"><?= $this->translate('INACTIVATE_USER'); ?></a></li><?php endif; ?>
                                </ul>
                        </td>
<?php if (defined('SHOW_IDS')) : ?><td><?= $this->escape($user->user_id); ?></td><?php endif; ?>
                        <td><?= $this->escape($user->forename); ?></td>
                        <td><?= $this->escape($user->surname); ?></td>
                        <td><?= $this->escape($user->email); ?></td>
<?php if (Zend_Auth::getInstance()->getIdentity()->multi_company) : ?>
                        <td><?= $this->escape($user->company); ?></td>
<?php endif; ?>
*/
?>


