<?php

class WebReport_View_Helper_LinkClickUiDialog
{

	public $view;

	public function linkClickUiDialog($selector, $title, $text) {
		$return = $this->view->headScript()->captureStart(); ?>

$(function() {

	$("<?= $selector; ?>").click(function(e) {
		e.preventDefault();
        var url = $(this).attr("href");
        var btnlist = {
			"<?= $this->view->translate("YES"); ?>": function() { window.location = url; },
			"<?= $this->view->translate("NO"); ?>": function() { $(this).dialog("close"); }
		}
		$("<div><?= $this->view->escape($text); ?></div>").dialog({
			buttons:
				btnlist,
			title : "<?= $title; ?>",
			resizable : false,
			draggable : false,
			modal : true
		});
		return false;
	});


});


	<?php
		$this->view->headScript()->captureEnd();
	}

	public function setView(Zend_View_Interface $view)
	{
		$this->view = $view;
	}

}
