<?php

//define('APPLICATION_ENVIRONMENT', 'development');
// use development to disable cache
// Define path to application directory
echo dirname(__FILE__) . '/../../application' . "\r\n";
defined('APPLICATION_PATH')
    || define('APPLICATION_PATH',
              realpath(dirname(__FILE__) . '/../../application'));

include_once APPLICATION_PATH . '/index-common.php';

try {
	$application->bootstrap(array("db", "modules", "translate"));
} catch (Exception $exception) {
	echo '<br /><br />' . $exception->getMessage() . '<br />'
	. '<div align="left">Stack Trace:'
	. '<pre>' . $exception->getTraceAsString() . '</pre></div>';
	exit(1);
}

$autoloader = Zend_Loader_Autoloader::getInstance();
$resourceLoader = new Zend_Loader_Autoloader_Resource(array(
         'basePath' => APPLICATION_PATH . "/modules/installation",
         'namespace' => ucfirst("Installation")
     ));

$resourceLoader->addResourceType('model', 'models/', 'Model');

$db = Zend_Registry::get('db');
$t = Zend_Registry::get('Zend_Translate');

$conn = $db->getConnection();

$todos = array('TODO: assert that the connection exists, ie existing database',
                'TODO: check that is is installed');

//start
                $companiesDb = new Core_Model_Companies();
                $company = $companiesDb->createCompanyAndSave(array(
                    'name' => "Cognimatics"
                ));
                $usersDb = new Core_Model_Users();
                $dynamicSalt = CM_User::createSalt();

                $aclRolesDb = new Core_Model_AclRoles();
                $aclRole = $aclRolesDb->fetchRow($aclRolesDb->select()->order('acl_role_id')->limit(1));

                $userDataArray = array(
                    'forename' => "Cognimatics",
                    'surname' => "Support",
                    'company_id' => $company->company_id,
                    'acl_role_id' => $aclRole->acl_role_id,
                    'email' => "support@cognimatics.com",
                    'password' => md5(STATIC_SALT . "pass123" . $dynamicSalt),
                    'password_salt' => $dynamicSalt,
                    'digest_helper_password' => md5("support@cognimatics.com" . ':' . APPLICATION_REALM . ':' . "pass123"),
                    'created_date' => new Zend_Db_Expr('NOW()'),
                    'multi_company' => 1
                );


                $user = $usersDb->createRow($userDataArray);
                $user->save();
?>
