<?php
error_reporting(E_ALL | E_STRICT);
/*
error_log("REQ_URI:" . $_SERVER['REQUEST_URI']);
$uri = $_SERVER['REQUEST_URI'];
$api = strpos($uri, "/api/") !== FALSE;
$add = strpos($uri,".add") !== FALSE;
$getLast = strpos($uri,".getLastSavedDataTime") !== FALSE;
$quick = $api && ($add || $getLast);
error_log("Generic = $quick for $uri");

if($quick) {
  include_once('../../application/modules/api/models/lightstrap.php');
  exit;
}
*/
$quickstart = false && !(strpos($_SERVER['REQUEST_URI'], "countData.") === false);
//$quickstart = false;
if(!function_exists('r_log')) {
    function r_log($obj, $pre=""){
        error_log($pre . " " . print_r($obj,true));
    }
}
// Define path to application directory
if (!defined('APPLICATION_PATH')) {
  if (getenv('INSTANCE_PATH')) {
    define('APPLICATION_PATH', getenv('INSTANCE_PATH') . '/application');
  } else {
    define('APPLICATION_PATH', realpath(dirname(__FILE__) . '/../../application'));
  }
}

// Define application environment
defined('APPLICATION_ENVIRONMENT')
        || define('APPLICATION_ENVIRONMENT', (getenv('APPLICATION_ENVIRONMENT') ? getenv('APPLICATION_ENVIRONMENT') : 'production'));

//define('SHOW_IDS', true);

set_include_path(implode(PATH_SEPARATOR, array(
            dirname(dirname(__FILE__)) . '/../library/php',
            get_include_path(),
        )));


/** Zend_Application */
require_once 'Zend/Loader.php';
require_once 'Zend/Loader/Autoloader.php';
require_once 'Zend/Application.php';
require_once 'Zend/Config.php';
require_once 'Zend/Config/Ini.php';
require_once 'Zend/Config/Writer.php';
require_once 'Zend/Config/Writer/FileAbstract.php';
require_once 'Zend/Config/Writer/Ini.php';
require_once 'Zend/Registry.php';
Zend_Registry::set('quickstart',$quickstart);
require_once 'Zend/Application/Bootstrap/ResourceBootstrapper.php';
require_once 'Zend/Application/Bootstrap/Bootstrapper.php';
require_once 'Zend/Application/Bootstrap/BootstrapAbstract.php';
require_once 'Zend/Application/Bootstrap/Bootstrap.php';
require_once APPLICATION_PATH . '/Bootstrap.php';

$config = new Zend_Config_Ini(APPLICATION_PATH . '/config.ini', APPLICATION_ENVIRONMENT,
                              array('allowModifications' => true));

$config_license = new Zend_Config_Ini(APPLICATION_PATH . '/license.ini', APPLICATION_ENVIRONMENT, array('allowModifications' => true));


date_default_timezone_set($config->general->defaultTimezone);
ini_set('memory_limit', $config->php->memory_limit);
set_time_limit((int)$config->php->max_execution_time);
//$quickstart = false;
Zend_Registry::set('config', $config);
Zend_Registry::set('config-license', $config_license);
// Create application, bootstrap, and run
$application = new Zend_Application(
                APPLICATION_ENVIRONMENT,
                $config
);

if(!function_exists("_T")) {
    function _T($s){
        return $s;
    }
}
if(!function_exists("r_log")) {
    function r_log($obj, $pre=""){
        error_log($pre . " " . print_r($obj,true));
    }
}


try {
    $bootstrap = $application->getBootstrap();
    if(false && $quickstart){
        $bootstrap->bootstrap(array( "modules", "loggers"));
    } else {
        $bootstrap->bootstrap(array( "cache", "session",   "modules", "translate" , "loggers"));
    }
    $application->run();
} catch (Exception $exception) {
    echo "<pre>";
    echo $exception->getMessage();
    echo "\n\n";
    echo $exception->getTraceAsString();
    echo "</pre>";
}

