<?php
// Define path to application directory
if (!defined('APPLICATION_PATH')) {
  if (getenv('INSTANCE_PATH')) {
    define('APPLICATION_PATH', getenv('INSTANCE_PATH') . '/application');
  } else {
    define('APPLICATION_PATH', realpath(dirname(__FILE__) . '/../application'));
  }
}

include_once APPLICATION_PATH . '/index-common.php';

try {

    $application->bootstrap()
            ->run();
} catch (Exception $exception) {
    echo '<html><body><center>' .
    'An exception occured while bootstrapping the application.';

    if (defined('APPLICATION_ENVIRONMENT') && APPLICATION_ENVIRONMENT != 'production') {
        echo '<br /><br />' . $exception->getMessage() . '<br />'
        . '<div align="left">Stack Trace:'
        . '<pre>' . $exception->getTraceAsString() . '</pre></div>';
    }
    echo '</center></body></html>';
//	exit(1);
}
