<?php

class Admin_ModulesController extends WebReport_Controller_Action
{

	public function init() {
		parent::init();

		$module = $this->getRequest()->module;
		$controller = $this->getRequest()->controller;
		$action = $this->getRequest()->action;

		$items = array();
		$items[] = array("urlOptions" => array('module' => $module, "controller" => $controller, "action" => "browse"), "text" => 'BROWSE_MODULES');

		$items = WebReport_Module_MenuItems_Abstract::filterNotAllowedItems($items);
		$this->view->menu->submenu = WebReport_Module_MenuItems_Abstract::translate($items);
		$this->view->headTitle("MODULES", Zend_View_Helper_Placeholder_Container_Abstract::PREPEND);
	}


	public function browseAction()
	{
		$modules = new Core_Model_Modules();

		$this->view->modules = $modules->fetchAll();

		if ($this->_flashMessenger->hasMessages())
		$this->view->messages = $this->_flashMessenger->getMessages();

	}


	public function editAction()
	{
		$modules = new Core_Model_Modules();

		$this->view->modules = $modules->fetchAll();

		if ($this->_flashMessenger->hasMessages())
		$this->view->messages = $this->_flashMessenger->getMessages();


	}
	private function _translatableStrings()
	{
		$this->_translate->_('BROWSE_MODULES');
		$this->_translate->_('EDIT_MODULES');
	}


}