<?php

class Admin_Form_ApiKey extends UniForm_Form
{

	public function init()
	{
		parent::init();

		$this->addElementPrefixPath('CM_Validate_User', 'CM/Validate/User/', 'validate');

        $apikeyenable = new UniForm_Form_Element_Checkbox('apikeyenable');
        $apikeyenable->setLabel('ENABLEAPIKEY')
        ->setRequired(true);

		$apikey = new UniForm_Form_Element_Text('apikey');
		$apikey->setLabel('APIKEY')
		->addValidator('ApiKey',true)
        ->setAttrib("readonly", "readonly")
        ->setRequired(true);

        $newkey = new UniForm_Form_Element_Button('newkey');
        $newkey->setLabel('GENERATE_NEW_KEY');

		$this->addElements(array($apikeyenable, $apikey, $newkey));
		$this->addDisplayGroup(array('apikeyenable', 'apikey', 'newkey'), 'apikey-group');

		$submit = new UniForm_Form_Element_Submit('submit');
		$submit->setLabel('SUBMIT');
		$this->addElements(array($submit));

	}

}



