<?php

class Admin_Form_ChangeCameraGroupPassword extends UniForm_Form
{

	public function init()
	{
		parent::init();

		$this->addElementPrefixPath('CM_Validate_User', 'CM/Validate/User/', 'validate');

		$password = new UniForm_Form_Element_Password('password');
		$password->setLabel('PASSWORD')
			//->addValidator('PasswordStrength',true)
			->addValidator('PasswordConfirmation')
			->setRequired();

		$password_confirm = new UniForm_Form_Element_Password('password_confirm');
		$password_confirm->setLabel('CONFIRM_PASSWORD')
			->setRequired();

		$this->addElements(array($password, $password_confirm));
		$this->addDisplayGroup(array('password', 'password_confirm'), 'password-group');

		$submit = new UniForm_Form_Element_Submit('submit');
		$submit->setLabel('SUBMIT');
		$this->addElements(array($submit));

	}

}



