<?php

class Admin_Form_Login extends UniForm_Form
{

	public function init()
	{
    parent::init();
    $translate = Zend_Registry::get('Zend_Translate');

		$email = new UniForm_Form_Element_Text('email');
    $email->addFilter('StringTrim')
      ->setRequired()
      ->setAttrib('placeholder', $translate->_('E-MAIL'));

		$password = new UniForm_Form_Element_Password('password');
		$password->setAttrib('placeholder', $translate->_('PASSWORD'));

		$submit = new UniForm_Form_Element_Submit('submit');
    $submit->setLabel('LOGIN')
      ->setAttrib('class', 'login-button');

		$this->addElements(array($email, $password));
		$this->addDisplayGroup(array('email','password'), 'login');

		$this->addElements(array($submit));


		return $this;

	}

}
