<?php

class Admin_Form_WarningOptions extends UniForm_Form
{


	public function init()
	{
		parent::init();

		$report_warnings = new UniForm_Form_Element_Checkbox('report_warnings');
		$report_warnings->setLabel("REPORT_WARNINGS_FOR_THIS_CAMERA")
			->setRequired()
			->setDescription("UNCHECK_TO_DISABLE_REPORTING_OF_WARNINGS_FOR_THIS_CAMERA.");

		$submit = new UniForm_Form_Element_Submit('submit');
		$submit->setLabel('SAVE');

		$this->addElements(array($report_warnings));
		$this->addDisplayGroup(array('report_warnings'),'warning-options');

		$this->addElements(array($submit));
	}

}