<?php

class Admin_Model_Api_Method_Admin_Poll extends WebReport_Api_Method_Abstract
{
    public function userIsAllowed(Core_Model_User $user)
    {
        return true;
    }

    public function needsAuthentication()
    {
        return false;
    }

    public function call(array $params)
    {
        if(isset($params['params']['internal'])) {
            $poller = new Core_Model_Poller($params['params']['unique']);
            //error_log("Internal Poll Service " . $poller->getID());
            if(!$poller->isAlone()) {
                error_log("Poll Service " . $poller->getID() . " exiting. " . $poller->getMainID() .  " is the main poller.");
            } else {
                $poller->doIteration();
                $poller->sleep();
                $poller->requestApi();
            }
        } else {
            $poller = new Core_Model_Poller();
            if(!$poller->isAlone()) {
                error_log("New Poll Service " .$poller->getID(). " exiting. " . $poller->getMainID() . " is the main poller.");
            } else {
                error_log("Kicked Poll Service, unique=" . $poller->getID());
                $poller->requestApi();
            }
        }
    }
}

