<?php

class Charts_Form_Aggtest extends UniForm_Form
{

        protected $_company;

    	public function __construct(Core_Model_Company $company, $options = null)
	{
                $this->_company = $company;
		parent::__construct($options);
	}

	public function init()
	{
		parent::init();

		$countDataSetsDb = new Core_Model_CountData_Sets();
		$countDataSets = $countDataSetsDb->fetchAllSets($this->_company);


                $count_data_set_id = new UniForm_Form_Element_Select('count_data_set_id');

                $count_data_set_id->setLabel('COUNT_DATA_SET');

                foreach ($countDataSets as $set) {
                    $count_data_set_id->addMultiOption($set->count_data_set_id,$set->name);
                }

                $hist_mode = new UniForm_Form_Element_Select('hist_mode');
                for($i=1;$i<=4;$i+=1) {
                    $hist_mode->addMultiOption($i,$i);
                }
                $hist_mode->setLabel('Show_option_1');

                $relative = new UniForm_Form_Element_Checkbox('relative');
                $relative->setLabel('relative');
                
		$submit = new UniForm_Form_Element_Submit('submit');
		$submit->setLabel('SUBMIT');

		$this->addElements(array($count_data_set_id, $hist_mode,$relative));
		$this->addDisplayGroup(array( 'count_data_set_id','hist_mode', 'relative'), 'chart-group');


		$this->addElements(array($submit));
	}
}
