<?php

class Charts_Form_SaveTable extends UniForm_Form
{

    /**
     * Constructor
     *
     * @see Zend_Form
     * @param string $action Can be new or edit
     * @param mixed $options
     * @return void
     */
    public function __construct($options = null)
    {
        parent::__construct($options);
    } 

    public function init()
    {
        parent::init();
        
        $description = new UniForm_Form_Element_Textarea('descriptionText');
        $description->setLabel('TABLE_DESCRIPTION')
            ->addFilter('StringTrim')
            ->setValue($this->_tableDescription);
                   
        $save = new UniForm_Form_Element_Submit('save');
        $save->setLabel('SAVE_TABLE');

        $this->addElements(array( $description));

        $this->addDisplayGroup(array('descriptionText'), 'table-group');

        $this->addElements(array($save));
    }
}
