<?php
class Charts_Form_TableCompPeriodsSettings extends UniForm_Form {
    public function init() {
        parent::init();

        $totPeriod = new UniForm_Form_Element_Select('comp_tot');
        $avgPeriod = new UniForm_Form_Element_Select('comp_avg');

        $totPeriod->addMultiOption("never","-");
        $avgPeriod->addMultiOption("never","-");

        Charts_Form_DataSource::addAllPeriods($totPeriod, false);
        Charts_Form_DataSource::addAllPeriods($avgPeriod, false);

        $totPeriod->setLabel(_T("SHOW_TOTAL_FROM"));
        $avgPeriod->setLabel(_T("SHOW_AVERAGE_FROM"));

        $this->addElements(array($totPeriod, $avgPeriod));
        $this->addDisplayGroup(array("comp_tot","comp_avg"),"comp_period");
    }
}
