<?php
class Charts_Form_TableSettings extends UniForm_Form{
    public function init(){
        parent::init();
        $title = new UniForm_Form_Element_Hidden('title');
        $colorHex = new UniForm_Form_Element_Text('colorHex'); 
        $description = new UniForm_Form_Element_Hidden('description');
        $start = new UniForm_Form_Element_Hidden('time_filter_start');
        $stop  = new UniForm_Form_Element_Hidden('time_filter_stop');

        $colorHex
            ->setLabel(_T('COLOR'));

        $dal = new Charts_Model_DataAggregatorList();
        $mode = $dal->getFormElement("mode", _T("COLUMN_HEADERS"), false, null, array("15_MINUTE_USAGE", "TOTAL_SUM_OF_DATA_SOURCES"));

        $this->addElements(array($colorHex, $mode,$title,$description, $start, $stop));
        $this->addDisplayGroup(array('mode', 'colorHex'), 'visible-elements');
    }

    public static function factoryFromArray($array){
        $form = new Charts_Form_GlobalSettings();
        $form->populate($array);
        return $form;
    }
}
