<?

class Charts_Model_Axis_Percentage  extends Charts_Model_Axis_Abstract  {
    public $tryMerge = 1; //if this variable exists the axis should try to be merged with all the others and if failing be displayed alone
    
    public function getTypes() {
        return array(46,47);
    }

    public function merge($axis) {
        if(is_a($axis, get_class($this))) return $this;
        if(is_a($axis, 'Charts_Model_Axis_People')) return new Charts_Model_Axis_People();
        if(is_a($axis, 'Charts_Model_Axis_PeopleAverageOcc')) return new Charts_Model_Axis_PeopleAverageOcc();
        if(is_a($axis, 'Charts_Model_Axis_PeopleAverageQueue')) return new Charts_Model_Axis_PeopleAverageQueue();
        if(is_a($axis, 'Charts_Model_Axis_Activity')) return new Charts_Model_Axis_Activity();
        return NULL;
    }

    public function unit() {
        return "int";
    }

    public function getPrefix() {
        return "";
    }

    public function getSuffix() {
        return "%";
    }


    public function isAverage() {
        return true;
    }

    public function getTitle() {
        return _T("PERCENTAGE");
    }
    public function getDrawTypePriority() {
        return array(0 => "bar",50 => "line");
    }
}
