<?
class Charts_Model_TableCsvRenderer {
    public function __construct() {

    }
    function clean($str, $sep) {
        return preg_replace("/$sep/", " ", $str);
    }

    public function render($table, $to_output = false) {
        $t = Zend_Registry::get("Zend_Translate");
        $tdata = $table->renderArray($t);
        $colwidth = count($tdata["xlabels"])+2;
        $css = $table->getColors();
        $sep = ",";
        $columns = array(_T("TIME"),_T("SECTION"),_T("ROW"),_T("VALUE"),_T("UNIT"));
        $str = "";
        foreach($columns as $i => $column) {
           $str .= ($i?$sep:"").$this->clean($t->_($column), $sep);
        }
        $str .="\n";
        foreach($tdata["sections"] as $sid => $section) {
            foreach($section["entries"] as $eid => $entry) {
                foreach($entry["data"] as $di => $d) {
                    $str.= $tdata["xlabels"][$di].$sep;
                    $str.= $this->clean($section["title"], $sep).$sep;
                    $str.= $this->clean($entry["title"], $sep).$sep;
                    $str.= $this->clean($d, $sep).$sep;
                    $str.= $entry["cleanUnit"]."\n";
                }
            }
        }
        if ( !$to_output ) return $str;
        echo $str;
    }
}
