<?
class Charts_Model_TableHtmlRenderer {
    public function __construct() {

    }
    public function render($table, $to_output = false, $addCss = TRUE) {
        $t = Zend_Registry::get("Zend_Translate");
        error_log("Make sure the correct language is loaded.");
        $tdata = $table->renderArray($t);
        $colwidth = count($tdata["xlabels"])+2;
        $css = $table->getColors();
        if(!$addCss) $css = false;
        if ( !$to_output) ob_start();
        $tablewidth = $colwidth > 20 ? 70*$colwidth . "px" : "100%";
?>
    <table class="tablecreator" style="width:<?= $tablewidth ?>;min-width:1024px">
<div id=superHaxorColorDiv style="display:none" data-pickedColor="<?=$css['picked']?>" data-pickedHover="<?=$css['pickedHover']?>" data-oddColor="<?=$css["odd"]?>" data-oddHover="<?=$css["oddHover"]?>" data-evenColor="<?=$css["even"] ?>" data-evenHover="<?=$css["evenHover"] ?>"></div> 
  
  <thead>
    <th colspan = "2"><?= $tdata['times_title'] ?></th>
    <? foreach($tdata["xlabels"] as $label): ?>
      <th style="text-align:right; overflow:hidden; text-overflow:ellipsis"><?= htmlspecialchars($label) ?></th>
    <? endforeach ?>
    <th id="buttonsHolder" style="width:70px">&nbsp;</th>
  </thead>
  <tbody>
  <? foreach($tdata["sections"] as $sid => $section): ?>
    <tr data-section-id="<?=$sid?>" class="sectionRow" <?if($css):?>style="background-color:<?= htmlspecialchars($css["picked"]) ?>"<?endif;?>>
      <td nowrap class="section" colspan="<?=$colwidth?>">
        &nbsp;<?= htmlspecialchars($section["title"]) ?>
      </td>
      <td id="buttonsHolderSec">&nbsp;</td>
    </tr>
      <? foreach($section["entries"] as $eid => $entry): ?>
        <? if($eid%2!=0): ?>
            <tr data-section-id="<?=$sid?>" data-entry-id="<?=$eid?>" class="entryRow entryOdd" <?if($css):?>style="background-color:<?= htmlspecialchars($css["odd"]) ?>"<?endif;?>>
        <? else: ?>
            <tr data-section-id="<?=$sid?>" data-entry-id="<?=$eid?>" class="entryRow entryEven" <?if($css):?>style="background-color:<?=htmlspecialchars($css["even"]) ?>"<?endif;?>>
        <? endif; ?>
            
        <td class="entry" colspan=2 style="padding-left:20px">
            <?= htmlspecialchars($entry["title"]) ?>
          </td>
          <? if ( $entry["data"] ): ?>
          <? foreach($entry["data"] as $d): ?>
            <td <?if(strpos($d, "%") !== false):?> style="padding-right:0" <?endif;?>>
              <?= htmlspecialchars($d) ?>
            </td>
          <? endforeach ?>
            <td id="buttonsHolder">&nbsp;</td>
          <? else: ?>
            <? foreach($tdata["xlabels"] as $label): ?>
              <td></td>
            <? endforeach ?>
            <td id="buttonsHolder">&nbsp;</td>
          <? endif ?>
        </tr>
      <? endforeach ?>
  <? endforeach ?>
  </tbody>
</table>
<?
        if ( !$to_output ) return ob_get_clean();
    }
}
