<?php

class Core_Model_CameraSet extends Zend_Db_Table_Row_Abstract
{
    public function getSetTypeRow()
    {
        $cameraSetTypeDb = new Core_Model_CameraSet_CameraSetTypes();
        $type = $cameraSetTypeDb->getSetTypeById($this->camera_set_type_id);

        return $type;
    }

    public function getSetMetadataRow()
    {
        $setTypeClass = "Core_Model_CameraSet_CameraSetType" . $this->camera_set_type_id . "s";
        $cameraSetTypeDb = new $setTypeClass();
        $typeMetadataRow = $cameraSetTypeDb->getMetadataById($this->camera_set_id);
        return $typeMetadataRow;
    }

    public function getSetContent()
    {
        $setTypeClass = "Core_Model_CameraSet_CameraSetType" . $this->camera_set_type_id . "s";
        $setTypeDb = new $setTypeClass;
        $setContent = $setTypeDb->getContentById($this->camera_set_id);
        return $setContent;
    }

    public function getSetCameraRows()
    {
        $cameraSetCameraDb = new Core_Model_CameraSet_CameraSetCameras();
        $rowset = $cameraSetCameraDb->getCamerasBySetId($this->camera_set_id);

        return $rowset;
    }

    public function getSetCameraSetRows()
    {
        $cameraSetCameraSetDb = new Core_Model_CameraSet_CameraSetCameraSets();
        $rowset = $cameraSetCameraSetDb->getCameraSetsByParentId($this->camera_set_id);

        return $rowset;
    }

    public function _postDelete()
    {
        //Could be argued this should be in the CameraSetType1 class but _postDelete call didn't cascade. (ReferenceMap could possibly fix?)
        if ($this->camera_set_type_id == 1) {
            Core_Model_CameraSet_CameraSetType1SalesRegions::deleteUnusedSalesRegions();
        }
    }
}
