<?php

class Core_Model_CameraSet_CameraSetType1SectionCameras extends Talking_Db_Table
{
    protected $_name = 'camera_set_type1_section_camera';
    protected $_primary = 'camera_set_type1_section_camera_id';

    protected $_rowsetClass = 'Core_Model_CameraSet_CameraSetType1SectionCameraRowset';
    protected $_rowClass = 'Core_Model_CameraSet_CameraSetType1SectionCamera';

    public function getCamerasBySectionId($camera_set_section_id)
    {
        $select = $this->select();
        $select->where('camera_set_type1_section_id = ?', $camera_set_section_id);
        return $this->fetchAll($select);
    }

    public function getRowByCameraAndSectionId($camera_id, $camera_set_type1_section_id)
    {
        $select = $this->select();
        $select->where('camera_id = ?', $camera_id)->where('camera_set_type1_section_id = ?', $camera_set_type1_section_id);
        return $this->fetchAll($select)->current();
    }
}
