<?php

class Core_Model_CameraSet_CameraSetTypes extends Talking_Db_Table {

    protected $_name = 'camera_set_type';
    protected $_primary = 'camera_set_type_id';
    protected $_rowClass = 'Core_Model_CameraSet_CameraSetType';

    #protected $_dependentTables = array('Core_Model_Cameras','Core_Model_CameraSet');

    const STORE = 1;
    const SOURCE_SET = 2;

    public function getSetTypeById($id)
    {
        $select = $this->select();
        $select->where('camera_set_type_id = ?', $id);
        return $this->fetchAll($select)->current();
    }

    public function getSetTypes()
    {
        return $this->fetchAll();
    }
}
