<?php

class Core_Model_CompanyCameraGroup extends Talking_Db_Table
{
	protected $_name = 'company_camera_group';
	protected $_primary = 'company_camera_group_id';

	protected $_referenceMap    = array(
		'Company' => array(
			'columns'           => array('company_id'),
			'refTableClass'     => 'Core_Model_Companies',
			'refColumns'        => array('company_id')
		),
		'CameraGroup' => array(
			'columns'           => array('camera_group_id'),
			'refTableClass'     => 'Core_Model_CameraGroups',
			'refColumns'        => array('camera_group_id')
		)
	);

}
