<?php

class Core_Model_ConfigurationsList extends Talking_Db_Table
{
    protected $_name = "configurations";
    protected $_primary = "property";

    public static function getShowRelative(){
        $db = self::getInstance();
        $select = $db->select("value")->where("property = 'show_relative'");
        $json = $db->fetchAll($select)->current()->value;
        $value = json_decode($json);
        return $value->show !== "False" && $value->show != false;
    }

    public static function getShowCustomCompanyInfo(){
        $db = self::getInstance();
        $select = $db->select("value")->where("property = 'custom_companies_info'");
        $json_str = $db->fetchAll($select)->current()->value;
        $json = json_decode($json_str);
        return $json->show;
    }

    public static function getBackupReminder(){
        $db = self::getInstance();
        $select = $db->select("value")->where("property = 'backup_reminder'");
        $json_str = $db->fetchAll($select)->current()->value;
        $json = json_decode($json_str);
        return $json;
    }
    
    public static function setBackupCompleted(){
        $db = new Core_Model_ConfigurationsList();
        $backupReminder = $db->getBackupReminder();
        $backupReminder->show = false;
        $data = array("value" => json_encode($backupReminder));
        $where = $db->getAdapter()->quoteInto('property = ?', 'backup_reminder');
        $select = $db->update($data, $where);
    }
} 
