<?php
/* 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of Filters
 *
 * @author gustaf
 */
class Core_Model_CountData_Filters implements Iterator {
    
	protected $_filters = array();
	
	/**
	 * A switch to keep track of the end of the array
	 */
	protected $_valid = false;

	public function addFilter(Core_Model_CountData_Filter $filter)
	{
		$this->_filters[] = $filter;
	}

   /**
   * Return the array "pointer" to the first element
   * PHP's reset() returns false if the array has no elements
   */
	function rewind(){
		$this->_valid = (FALSE !== reset($this->_filters));
	}

	/**
	 * Return the current array element
	 */
	function current(){
		return current($this->_filters);
	}

   /**
	* Return the key of the current array element
	*/
	 function key(){
		return key($this->_filters);
	}

   /**
   * Move forward by one
   * PHP's next() returns false if there are no more elements
   */
	function next(){
		$this->_valid = (FALSE !== next($this->_filters));
	}

	/**
	 * Is the current element valid?
	 */
	function valid(){
		return $this->_valid;
	}

}

