<?php

class Core_Model_CountData_FormulaSetFormula extends Zend_Db_Table_Row_Abstract
{

    /**
     * If this is the last formula in the formula set, delete the formula set as well.
     *
     * @return void
     */
    protected function _postDelete()
    {
		$formulasDb = $this->getTable();
		$select = $formulasDb->select()->where('count_data_formula_set_id = ?', $this->count_data_formula_set_id);
		$nbrOfFormulas = count($formulasDb->fetchAll($select));
		if ($nbrOfFormulas == 0) {
			$formulaSetsDb = new Core_Model_Countdata_FormulaSets();
			$set = $formulaSetsDb->find($this->count_data_formula_set_id)->current();
			$set->delete();
		}

    }

}
