<?php
/*
include_once "Set/FilterGroups.php";
include_once "Set/Cameras.php";
include_once "Set/VirtualCameras.php";
include_once "Set/FormulaSets.php";
*/

class Core_Model_CountData_Set extends Zend_Db_Table_Row_Abstract
{

	public function getCountData()
	{

		$countData = new Core_Model_CountData();

		$cameraRows = $this->findManyToManyRowset('Core_Model_Cameras', 'Core_Model_CountData_Set_Cameras');
		$countData->addCameras($cameraRows);

		$filterGroupRows = $this->findManyToManyRowset('Core_Model_CountData_FilterGroups', 'Core_Model_CountData_Set_FilterGroups');
		$countData->addFilterGroups($filterGroupRows);

		$virtualCameraRows = $this->findManyToManyRowset('Core_Model_VirtualCameras', 'Core_Model_CountData_Set_VirtualCameras');
		$countData->addVirtualCameras($virtualCameraRows);

		$formulaSetRows = $this->findManyToManyRowset('Core_Model_CountData_FormulaSets', 'Core_Model_CountData_Set_FormulaSets');
		$countData->addFormulaSets($formulaSetRows);
		return $countData;
	}

	public function removeDependencies(){
		$reportMapper = new Reports_Model_ReportMapper();
		$countDataSetId = $this->count_data_set_id;
		$companyId = $this->company_id;
		$reports = $reportMapper->fetchAll(array("where" => "company_id = " .$companyId, "deepPopulate" => true));
		foreach($reports as $report){
			$stop=false;
			foreach($report->getPages() as $page){
				if($stop)break;
				foreach($page->getCells() as $cell){
					if($stop)break;
					$removeThese[] = get_class($cell);
					if($cell instanceof Reports_Model_Report_Page_Cell_Chart){
						if($cell->countDataSet->count_data_set_id == $countDataSetId){
							$stop = true;
							$reportMapper->delete($report);
						}
					}
				}
			}
		}
	}
}
