<?php

include_once "core/models/Cameras.php";

class Core_Model_CountData_Set_Cameras extends Talking_Db_Table
{
	protected $_name = 'count_data_set_camera';
	protected $_primary = 'count_data_set_camera_id';

    protected $_referenceMap    = array(
        'CountDataSet' => array(
            'columns'           => array('count_data_set_id'),
            'refTableClass'     => 'Core_Model_CountData_Sets',
            'refColumns'        => array('count_data_set_id')
        ),
        'Camera' => array(
            'columns'           => array('camera_id'),
            'refTableClass'     => 'Core_Model_Cameras',
            'refColumns'        => array('camera_id')
        )
    );

}
