<?php

include_once "core/models/CountData/FilterGroups.php";

class Core_Model_CountData_Set_FilterGroups extends Talking_Db_Table
{
	protected $_name = 'count_data_set_filter_group';
	protected $_primary = 'count_data_set_filter_group_id';

    protected $_referenceMap    = array(
        'CountDataSet' => array(
            'columns'           => array('count_data_set_id'),
            'refTableClass'     => 'Core_Model_CountData_Sets',
            'refColumns'        => array('count_data_set_id')
        ),
        'FilterGroup' => array(
            'columns'           => array('count_data_filter_group_id'),
            'refTableClass'     => 'Core_Model_CountData_FilterGroups',
            'refColumns'        => array('count_data_filter_group_id')
        )
    );

}
