<?php

class Core_Model_Factory_TimeInterval
{

    public static function makeSelections(){
        return array(
            "0d"=> "CURRENT_DAY",
            "0w"=> "CURRENT_WEEK",
            "0m"=> "CURRENT_MONTH",
            "0y"=> "CURRENT_YEAR",
            "-1d"=> "LAST_DAY",
            "-1w"=> "LAST_WEEK",
            "-1m"=> "LAST_MONTH",
            "-1y"=> "LAST_YEAR",
            "man"=> "MANUAL_TIME_INTERVAL",
            "fix"=> "FIXED_INTERVAL");

    }

    public static function makeSelect($id){
        $time_interval = new UniForm_Form_Element_Select($id);
        $time_interval
            ->setLabel("TIME_INTERVAL")
            ->addMultiOption(0, "SELECT_A_TIME_INTERVAL.")
            ->addMultiOption("0d", "CURRENT_DAY")
            ->addMultiOption("0w", "CURRENT_WEEK")
            ->addMultiOption("0m", "CURRENT_MONTH")
            ->addMultiOption("0y", "CURRENT_YEAR")
            ->addMultiOption("-1d", "LAST_DAY")
            ->addMultiOption("-1w", "LAST_WEEK")
            ->addMultiOption("-1m", "LAST_MONTH")
            ->addMultiOption("-1y", "LAST_YEAR")
            ->addMultiOption("man", "MANUAL_TIME_INTERVAL")
            ->addMultiOption("fix", "FIXED_INTERVAL");
        return $time_interval;
        
    }


}
