<?php

class Core_Model_ModuleCompany extends Talking_Db_Table
{
	protected $_name = 'module_company';
	protected $_primary = 'module_company_id';

	protected $_referenceMap    = array(
		'Company' => array(
			'columns'           => array('company_id'),
			'refTableClass'     => 'Core_Model_Companies',
			'refColumns'        => array('company_id')
		),
		'CameraGroup' => array(
			'columns'           => array('module_id'),
			'refTableClass'     => 'Core_Model_Modules',
			'refColumns'        => array('module_id')
		)
	);

}
