<?php

class Core_Model_OpeningHours extends Talking_Db_Table
{
    protected $_name = 'camera_opening_hours';
    protected $_primary = 'opening_hour_id';
    protected $_rowClass = 'Core_Model_OpeningHour';

    public function fetchLatestOpeningHours($cameraId,$date)
    {
        $select = $this->select();
        $select->where('camera_id = ?', $cameraId)->where('date = ?',$date)->order(array("opening_hour_id DESC"))->limit(1);
        return $this->fetchAll($select);
    }

    public function fetchAllOpeningHoursForCameraId($cameraId) {
        $select = $this->select();
        $select->where('camera_id = ?', $cameraId);
        return $this->fetchAll($select);
    }

    public function fetchAllOpeningHoursForDate($cameraId, $date) {
        $select = $this->select();
        $select->where('camera_id = ?', $cameraId)->where('date = ?',$date)->order(array("opening_hour_id DESC"));
        return $this->fetchAll($select);
    }
}