<?php

class Export_Model_ExportCameras extends Talking_Db_Table {

    protected $_name = 'export_camera';
    protected $_primary = 'export_camera_id';
    protected $_rowClass = 'Export_Model_ExportCamera';

    public function getRowByCameraAndExportId($camera_id, $export_id)
    {
        $select = $this->select();
        $select->where('camera_id = ?', $camera_id)->where('export_id = ?', $export_id);
        return $this->fetchAll($select)->current();
    }
}
