<?php

class Heatmap_Model_Mask extends Zend_Db_Table_Row_Abstract
{
    const HEATMAP_MASK_WIDTH = 80;
    const HEATMAP_MASK_HEIGHT = 60;

    public function getDataAsMatrix($downscaled = false)
    {
        $d = array();
        $data = "";
        $yl =80;//class::HEATMAP_MASK_WIDTH;
        $xl =60;//class::HEATMAP_MASK_HEIGHT;

        if ($downscaled) {
            $data = $this->data_ds4;
            $yl = $yl/4;
            $xl = $xl/4;
        } else {
            $data = $this->data;
        }

        $pos = 0;
        for ($y = 0; $y < $yl; $y++) {
            $arr = array();
            for ($x = 0; $x < $xl; $x++) {
                $arr[$x] = hexdec(substr($data,$pos,2));
                $pos += 2;
            }
            $d[$y] = $arr;
        }
        return $d;
    }

}
