<?php

class Installation_Model_DatabaseUpdateEntry_DM100_Update0002 extends Installation_Model_DatabaseUpdateEntryAbstractRawQuery
{
    protected $_raw_query = "ALTER TABLE mod_charts_data DROP FOREIGN KEY mod_charts_data_ibfk_1;";

    protected function _postAssert()
    {
        $query = "SELECT * FROM information_schema.TABLE_CONSTRAINTS WHERE information_schema.TABLE_CONSTRAINTS.CONSTRAINT_TYPE = 'FOREIGN KEY' AND information_schema.TABLE_CONSTRAINTS.TABLE_NAME = 'mod_charts_data' AND information_schema.TABLE_CONSTRAINTS.TABLE_SCHEMA=DATABASE() AND information_schema.TABLE_CONSTRAINTS.CONSTRAINT_NAME='mod_charts_data_ibfk_1';";
        $ret = $this->_conn->query($query)->fetchAll();
        if (empty($ret)) {
            return true;
        }
        return false;
    }
}
