<?php

class Installation_Model_DatabaseUpdateEntry_DM100_Update0005 extends Installation_Model_DatabaseUpdateEntryAbstractRawQuery
{
    protected $_raw_query = "ALTER TABLE count_data_formula_set DROP FOREIGN KEY count_data_formula_set_ibfk_2;";

    protected function _postAssert()
    {
        $query = "SELECT * FROM information_schema.TABLE_CONSTRAINTS WHERE information_schema.TABLE_CONSTRAINTS.CONSTRAINT_TYPE = 'FOREIGN KEY' AND information_schema.TABLE_CONSTRAINTS.TABLE_NAME = 'count_data_formula_set' AND information_schema.TABLE_CONSTRAINTS.TABLE_SCHEMA=DATABASE() AND information_schema.TABLE_CONSTRAINTS.CONSTRAINT_NAME='count_data_formula_set_ibfk_2';";
        $ret = $this->_conn->query($query)->fetchAll();
        if (empty($ret)) {
            return true;
        }
        return false;
    }
}
