<?php

class Installation_Model_DatabaseUpdateEntry_DM100_Update0008 extends Installation_Model_DatabaseUpdateEntryAbstractAddTable
{
    protected $_tableName = 'export_camera';
    protected $_stmt = 'CREATE TABLE `export_camera` (
  `export_camera_id` int(11) NOT NULL AUTO_INCREMENT,
  `export_id` bigint(11) NOT NULL,
  `camera_id` int(11) NOT NULL,
  PRIMARY KEY (`export_camera_id`),
  KEY `export_id_key` (`export_id`),
  CONSTRAINT `export_camera_ibfk_1` FOREIGN KEY (`export_id`) REFERENCES `export` (`export_id`) ON DELETE CASCADE,
  CONSTRAINT `export_camera_ibfk_2` FOREIGN KEY (`camera_id`) REFERENCES `camera` (`camera_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;';
}
