<?php

abstract class Installation_Model_DatabaseUpdateEntryAbstractCreateIndex extends Installation_Model_DatabaseUpdateEntryAbstract
{

    protected $_tableName = null;
    protected $_cols = null;

    protected function _preAssert() {
        return true;
    }

    protected function _postAssert() {
        $q = $this->_conn->query("SHOW INDEX FROM ".$this->_tableName." WHERE KEY_NAME = '" . $this->keyName()."'")->fetchAll();
        if(count($q) != count(explode(",",$this->_cols))) {
            return false;
        }
        return true;
    }

    protected function keyName(){
        return "ix_" . str_replace(" ","",str_replace(",","_",$this->_cols));
    }

    protected function _update() {
        if($this->_postAssert()) return true;
        $sql = sprintf("create index %s on %s(%s)",$this->keyName(), $this->_tableName,$this->_cols);
        $this->_conn->exec($sql);
        return true;
    }

    protected function _description() {
        return "Create index " . $this->_tableName . "(" . $this->_cols + ")";
    }

}
