<?php

class Installation_Model_DatabaseUpdateEntryAbstractDeleteFromTable extends Installation_Model_DatabaseUpdateEntryAbstract
{
    protected $_tableName = "";
    protected $_where = NULL;

    protected function _preAssert() {
        $q = $this->_conn->query("SHOW TABLES LIKE '".$this->_tableName."'")->fetchAll();

        if(count($q) != 1) {
            return false;
        }

        return true;
    }

    protected function _postAssert() {
        $q = $this->_conn->query("SHOW TABLES LIKE '".$this->_tableName."'")->fetchAll();
        if(count($q) != 1) {
            return false;
        }

        $q = $this->_conn->query("SELECT count(*) as zero from " . $this->_tableName . " WHERE " . $this->_where)->fetchAll();
        if( $q[0]['zero'] != 0) {
            return false;
        }

        return true;
    }

    protected function _update() {
        $sql =  "DELETE FROM " . $this->_tableName;
        $sql .= " WHERE " . $this->_where;

        try {
            $this->_conn->exec($sql);

        } catch (PDOException $e){
            return false;
        }

        return true;
    }

    protected function _description() {
        return "Delete from table ". $this->_tableName;
    }
}
