<?php

class Installation_Model_DatabaseUpdateEntryAbstractModifyTableRow extends Installation_Model_DatabaseUpdateEntryAbstract
{
    protected $_tableName = "";
    protected $_newValue = NULL;
    protected $_columnName = NULL;
    protected $_where = "";
    protected $_alwaysRun = true;
    protected $_tableNames = null;
    protected $_tableId = null;

    protected function _callback($row) {
        return "";    
    } 

    protected function _preAssert() {
        foreach($this->_getTables() as $table){
            $q = $this->_conn->query("SHOW TABLES LIKE '".$table."'")->fetchAll();

            if(count($q) != 1) {
                return false;
            }
        }

        return true;
    }

    protected function _postAssert() {
        foreach($this->_getTables() as $table){
            $q = $this->_conn->query("SHOW TABLES LIKE '".$table."'")->fetchAll();

            if(count($q) != 1) {
                return false;
            }
        }
        // You could actually formulate a better assert here using the entry parameters.

        return true;
    }

    protected function _update() {
        foreach($this->_getTables() as $table){
            $rows = $this->_conn->query("SELECT * FROM `".$table."` WHERE ".(is_null($this->_where)?"1=1":$this->_where).";")->fetchAll();

            foreach($rows as $row) {
                $val = $this->_callback($row);

                $sql_cmd = "UPDATE `" . $table . "` SET " . $this->_columnName . " = '" . $val . "' WHERE $this->_tableId = " . $row[$this->_tableId];

                $this->_conn->exec($sql_cmd);
            }
        }
        return true;
    }

    protected function _getTables(){
        return $this->getTables($this->_tableName,$this->_tableNames);
    }

    protected function _description() {
        if(count($this->_getTables()) > 1) return $this->_t->_("POPLULATE_TABLE_FROM_SELECT");
        return "Modify table row at ". $this->_tableName . "." . $this->_columnName;
    }
}
