<?php

class Occupancy_Model_Api_Method_Occupancy_AddData extends WebReport_Api_Method_Abstract
{

	public function userIsAllowed(Core_Model_User $user)
	{
		return true;
	}

	public function needsAuthentication()
	{
		/*
		  if($_SERVER['REMOTE_ADDR'] == "127.0.0.1" ||
		  $_SERVER['REMOTE_ADDR'] == "::1" ) {
		  return false;
		  }
		 */
		return false;
	}

	public function call(array $params)
	{
        $data = $this->decodeVersion4();
        $data->fields = $data->fields;
        $data->nbrOfTypes = $data->nbrOfTypes;
        $data->stats = array(
            3  => $data->stats[3],
            4  => $data->stats[4],
            64 => $data->stats[64],
            65 => $data->stats[65]
        );

        if ( $data->stats[65] == 0 ) {
            // Prevent undefined average times to affect AVG.
            // Since 0 is undefined we want to mirror that to the database.
            $data->stats[65] = NULL;
        }
        Core_Model_CountData::addDataForSeparatedString($data);
        echo "ok";
        return;
        
		if(!isset($params["params"]) || !isset($params["params"]["id"])){
			echo "No parameters specified.";
			return;
		}
	}
}

