<?php

class Occupancy_Model_Api_Method_Occupancy_GetLastDate extends WebReport_Api_Method_Abstract
{

	public function userIsAllowed(Core_Model_User $user)
	{
		return true;
	}

	public function needsAuthentication()
	{
		/*
		  if($_SERVER['REMOTE_ADDR'] == "127.0.0.1" ||
		  $_SERVER['REMOTE_ADDR'] == "::1" ) {
		  return false;
		  }
		 */
		return false;
	}

	public function call(array $params)
	{
        $data = $this->decodeVersion4('00:15:00');
        if(!$data) {
            echo "Not enough fields found.";
            return;
        }

        $date = Core_Model_Cameras::getLastSavedTimeForSeperatedString($data, true);
        if($date){
            echo $date;
        } else {
            throw new WebReport_Api_Exception("Could not generate last date for camera");
        }
	}
}

