<?php
include_once 'Set.php';
class Pos_Model_SetCamera extends Talking_Db_Table
{
	protected $_name = 'pos_camera_set';
	protected $_primary = 'pos_camera_set_id';

	protected $_referenceMap    = array(
		'Camera' => array(
			'columns'           => array('camera_id'),
			'refTableClass'     => 'Core_Model_Cameras',
			'refColumns'        => array('camera_id')
		),
		'PosSet' => array(
			'columns'           => array('pos_data_id'),
			'refTableClass'     => 'Pos_Model_ImportJobs',
			'refColumns'        => array('pos_data_id')
		),
        'VirtualCamera' => array(
            'columns'           => array('virtual_camera_id'),
            'refTableClass'     => 'Core_Model_VirtualCameras',
            'refColumns'        => array('virtual_camera_id')
        ),
        'FilterGroup' => array(
            'columns'           => array('filter_group_id'),
            'refTableClass'     => 'Core_Model_CountData_FilterGroups',
            'refColumns'        => array('count_data_filter_group_id')
        ),
        'FormulaSet' => array(
            'columns'           => array('formula_set_id'),
            'refTableClass'     => 'Core_Model_CountData_FormulaSets',
            'refColumns'        => array('count_data_formula_set_id')
        )
	);



}
