<?php

class Reports_Model_DbTable_Report_Page extends Talking_Db_Table
{
	protected $_name = 'mod_reports_report_page';
	protected $_primary = 'report_page_id';

	protected $_dependentTables = array('Reports_Model_DbTable_Report_Page_Cell');

	protected $_referenceMap    = array(
		'Report' => array(
			'columns'           => array('report_id'),
			'refTableClass'     => 'Reports_Model_DbTable_Report',
			'refColumns'        => array('report_id')
		),
		'Template' => array(
			'columns'           => array('template_id'),
			'refTableClass'     => 'Reports_Model_DbTable_Template',
			'refColumns'        => array('template_id')
		)
);

	


}
