<?php


class Reports_Model_DbTable_Report_Page_Cell extends Talking_Db_Table
{
	protected $_name = 'mod_reports_report_page_cell';
	protected $_primary = 'report_page_cell_id';

	protected $_referenceMap    = array(
		'Page' => array(
			'columns'           => array('report_page_id'),
			'refTableClass'     => 'Reports_Model_DbTable_Report_Page',
			'refColumns'        => array('report_page_id')
		),
		'TemplateCell' => array(
			'columns'           => array('template_row_cell_id'),
			'refTableClass'     => 'Reports_Model_DbTable_Template_Row_Cell',
			'refColumns'        => array('template_row_cell_id')
		),
		'CountDataSet' => array(
			'columns'           => array('count_data_set_id'),
			'refTableClass'     => 'Core_Model_CountData_Sets',
			'refColumns'        => array('count_data_set_id')
		)

	);

}
