<?php

class Reports_Model_DbTable_Report_Receiver extends Talking_Db_Table
{
	protected $_name = 'mod_reports_report_receiver';
	protected $_primary = 'report_receiver_id';

	protected $_referenceMap    = array(
		'Report' => array(
			'columns'           => array('report_id'),
			'refTableClass'     => 'Reports_Model_DbTable_Report',
			'refColumns'        => array('report_id')
		),
		'User' => array(
			'columns'           => array('user_id'),
			'refTableClass'     => 'Core_Model_Users',
			'refColumns'        => array('user_id')
		)
	);




}
