<?php

include_once 'reports/models/DbTable/Template/Row/Cell.php';

class Reports_Model_DbTable_Template_Row extends Talking_Db_Table
{
	protected $_name = 'mod_reports_template_row';
	protected $_primary = 'template_row_id';
	protected $_dependentTables = array('Reports_Model_DbTable_Template_Row_Cell');

	protected $_referenceMap    = array(
		'Template' => array(
			'columns'           => array('template_id'),
			'refTableClass'     => 'Reports_Model_DbTable_Template',
			'refColumns'        => array('template_id')
		)
	);



}
