<?php


class Reports_Model_DemonstrationWeatherService extends Reports_Model_WeatherServiceAbstract {
    public function getDayWeather($time, $position){
        $day = array();
        for($h = 1; $h < 24; $h = $h + 3){
            $data = new Reports_Model_WeatherData(sprintf("%02s:00",$h), $h < 15 ? $h +8 : 25 - $h  ,0 ,$h < 10 ? 119 : ($h < 18 ? 113 :122 ));
            $day[] = $data;
        }
        return $day;
    }

    public function getWeekWeather($time, $position){
        $day = array();
        $icon = array(113, 116, 116, 119, 116, 116, 116);
        $weekdays = array("måndag", "tisdag", "onsdag", "torsdag", "fredag", "lördag", "söndag");
        for($h = 0; $h < 7; $h = $h + 1){
            $data = new Reports_Model_WeatherData($weekdays[$h],20 + (($h*7+2) % 11),0,  $icon[$h]);
            $day[] = $data;
        }
        return $day;
    }

    public function testService() {
    }
}
