<?php

class Reports_Model_SubscriptionReceivers extends Talking_Db_Table {
        protected $_name = 'mod_reports_subscription_receiver';
	protected $_primary = 'subscription_receiver_id';
	protected $_rowClass = 'Reports_Model_SubscriptionReceiver';

	protected $_dependentTables = array('Reports_Model_Subscriptions','Core_Model_Users', 'Core_Model_AclRoles');

	protected $_referenceMap    = array(
                'Subscription' => array(
			'columns'           => array('subscription_id'),
			'refTableClass'     => 'Reports_Model_Subscriptions',
			'refColumns'        => array('subscription_id')
		),
		'User' => array(
			'columns'           => array('user_id'),
			'refTableClass'     => 'Core_Model_Users',
			'refColumns'        => array('user_id')
		),
                'AclRole' => array(
			'columns'           => array('acl_role_id'),
			'refTableClass'     => 'Core_Model_AclRoles',
			'refColumns'        => array('acl_role_id')
		)
	);

    
}

?>
