<?php

class Reports_Model_Template_Row extends WebReport_Model_Abstract
{
	
	protected $_mapperClass = "Reports_Model_Template_RowMapper";

	protected $_id;
	protected $_template;
	protected $_height;
	protected $_order;
	
	protected $_cells = array();
	
	public function setId($id)
	{
		$this->_id = (int)$id;
		return $this;	
	}
	
	public function getId()
	{
		return $this->_id;		
	}
	
	public function setTemplate(Reports_Model_Template $template)
	{
		$this->_template = $template;
		return $this;
	}	

	public function getTemplate()
	{
		return $this->_template;	
	}
	
	public function setHeight($height)
	{
		$this->_height = (float) $height;
		return $this;	
	}
	
	public function getHeight()
	{
		return $this->_height;	
	}
	
	public function setOrder($order)
	{
		$this->_order = (int)$order;
		return $this;	
	}
	
	public function getOrder()
	{
		return $this->_order;	
	}

	public function setCells($cells)
	{
		$this->_cells = $cells;
	}

    public function addCell(Reports_Model_Template_Row_Cell $cell)
    {
    	$this->_cells[] = $cell;	
    }
    
    public function getCells()
    {
    	usort($this->_cells, array("Reports_Model_Template_Row_Cell", "compare"));
    	return $this->_cells;
    }
    
    static function compare($a, $b)
    {
        $ordera = $a->getOrder();
        $orderb = $b->getOrder();
        return ($ordera - $orderb);
    }

	
}