<?php

class Reports_Model_Template_Row_Cell extends WebReport_Model_Abstract
{
	
	protected $_mapperClass = "Reports_Model_Template_Row_CellMapper";

	protected $_id;
	protected $_row;
	protected $_width;
	protected $_colspan;
	protected $_rowspan;
	protected $_order;
	
	public function setId($id)
	{
		$this->_id = (int)$id;
		return $this;	
	}
	
	public function getId()
	{
		return $this->_id;		
	}
	
	public function setRow(Reports_Model_Template_Row $row)
	{
		$this->_row = $row;
		return $this;
	}	

	public function getRow()
	{
		return $this->_row;	
	}
	
	public function setColspan($colspan) 
	{
		$this->_colspan = (int) $colspan;
		return $this;	
	}	
	
	public function getColspan()
	{
		return $this->_colspan;		
	}

	public function setRowspan($rowspan)
	{
		$this->_rowspan = (int) $rowspan;
		return $this;	
	}	
	
	public function getRowspan()
	{
		return $this->_rowspan;		
	}

	
	public function setWidth($width)
	{
		$this->_width = (float) $width;
		return $this;	
	}
	
	public function getWidth()
	{
		return $this->_width;	
	}
	
	public function setOrder($order)
	{
		$this->_order = (int)$order;
		return $this;	
	}
	
	public function getOrder()
	{
		return $this->_order;	
	}

    static function compare($a, $b)
    {
        $ordera = $a->getOrder();
        $orderb = $b->getOrder();
        return ($ordera - $orderb);
    }
}