<?php

class AmCharts_Chart
{
	const LINE = 'line';
	const PIE = 'pie';
	const COLUMN = 'column';

	static function factory($chartType)
	{
		$class = "AmCharts_" . ucfirst($chartType);
		try {
			@Zend_Loader::loadClass($class);
		} catch (Zend_Exception $e) {
			throw new AmCharts_Exception("Chart type $class don't exist.");
		}

		return new $class;
	}

}