<?php

class CM_Validate_User_ApiKey extends Zend_Validate_Abstract
{
    const INVALIDCHAR = 'invalidchar';

	protected $_messageTemplates = array(
		self::INVALIDCHAR => 'THE_API_KEY_CONTAINS_NON_ALPHANUMERIC_CHARACTERS_OR_BAD_SEPARATORS.'
	);

	public function isValid($value, $context = null)
	{
		$value = (string) $value;
		$this->_setValue($value);

		if ($this->_apikeyCheck($value) )
        {
            return true;
        }

		$this->_error(self::INVALIDCHAR);
		return false;
	}

	private function _apikeyCheck($apikey)
	{
        if (preg_match ("/(^\w{4}-\w{4}-\w{5}$)/is", $apikey) > 0 )
        {
            return true;
        } else {
            return false;
        }
	}

}