<?php

class Talking_Pdf_Chart_Data_Labels
{

	protected $_values;

	public function __construct($values = array())
	{
		$this->setValues($values);
	}

	public function setValues($values)
	{
		$values = $this->_convertInputToArray($values);
		$this->_values = $values;
	}

	public function getValues()
	{
		return $this->_values;
	}

	public function addValues(array $values, $where = self::APPEND)
	{
		$values = $this->_convertInputToArray($values);
		switch ($where) {
			case self::APPEND:
				$this->_data = $this->_data + $values;
				break;
			case self::PREPEND:
				$this->_data = $values + $this->_data;
				break;
			default:
				throw new Talking_Exception("Not valid place to put data");
		}
	}

	public function appendValues(array $values)
	{
		$this->addValues($values, self::APPEND);
	}

	public function prependValues(array $values)
	{
		$this->addValues($values, self::PREPEND);
	}

	protected function _convertInputToArray($values)
	{
		if (is_numeric($values)) {
			$values = array($values);
		} else if (is_array($values)) {
		} else {
			throw new Talking_Exception("Not valid in data");
		}

		return $values;
	}


}