<?php
require_once 'Zend/Form/Element/Button.php';

class UniForm_Form_Element_Button extends Zend_Form_Element_Button {

  public function init() {
    parent::init();

    $this->addPrefixPath('UniForm_Form_Decorator', 'UniForm/Form/Decorator/', 'decorator');

    $this->setDecorators(array(
        array('ViewHelper'),
        array('Description', array('tag' => 'p', 'class' => 'formHint')),
        array('Label', array('requiredPrefix' => '<em>&bull;</em> ', 'escape' => false)),
        array('UniFormErrors'),
        array('HtmlTag', array('tag' => 'div', 'class' => 'ctrlHolder'))
    ));

    $this->class = 'button';

  }

}