<?php

class UniForm_Form_Element_DateInterval extends Zend_Form_Element_Xhtml {

	protected $_fromDate;
	protected $_toDate;

    public function __construct($spec, $options = null)
    {
		$this->addPrefixPath(
			'UniForm_Form_Decorator', 
			'UniForm/Form/Decorator', 
			'decorator'
		);
        parent::__construct($spec, $options);
    }
  
	public function loadDefaultDecorators()
	{
        if ($this->loadDefaultDecoratorsIsDisabled()) {
            return;
        }

        $decorators = $this->getDecorators();
        if (empty($decorators)) {
/*            $this
            	  ->addDecorator('UniFormDateInterval')
                 ->addDecorator('Errors')
                 ->addDecorator('Description', array(
                    'tag' => 'p', 
                    'class' => 'description')
                 )
                 ->addDecorator('HtmlTag', array(
                    'tag' => 'dd',
                    'id'  => $this->getName() . '-element')
                 )
                 ->addDecorator('Label', array('tag' => 'dt'));
  */               
				$this->setDecorators(array(
	  					array('UniFormDateInterval'),
						array('Description', array('tag' => 'p', 'class' => 'formHint')),
						array('UniFormMultiLabel', array('requiredPrefix' => '<em>&bull;</em> ', 'escape' => false)),
						array('UniFormErrors'),
						array('HtmlTag', array('tag' => 'div', 'class' => 'ctrlHolder'))
				));
        }
    }

	public function getFromDate()
	{
		return $this->_fromDate;
	}

	public function getToDate()
	{
		return $this->_toDate;
	}


}