<?php  
require_once 'Zend/Form/Element/File.php';  

class UniForm_Form_Element_File extends Zend_Form_Element_File {  

  public function init() {  
    $this->addPrefixPath('UniForm_Form_Decorator', 'UniForm/Form/Decorator/', 'decorator');    
  
    $this->setDecorators(array(  
      array('File'),
      array('Description', array('tag' => 'p', 'class' => 'formHint')),  
      array('Label', array('requiredPrefix' => '<em>&bull;</em> ', 'escape' => false)),
      array('UniFormErrors'),
      array('HtmlTag', array('tag' => 'div', 'class' => 'ctrlHolder'))
    ));
    
    $this->class .= ' fileInput';
  }  

}  