<?php

class UniForm_Form_Element_Image extends Zend_Form_Element_Image
{
    public $helper = 'formImage';

	public function init() {

		$this->addPrefixPath('UniForm_Form_Decorator', 'UniForm/Form/Decorator/', 'decorator');

		$this->addFilter('StringTrim');
		$this->setDecorators(array(
				array('ViewHelper'),
				array('Description', array('tag' => 'p', 'class' => 'formHint')),
				array('UniFormMultiLabel', array('requiredPrefix' => '<em>&bull;</em> ', 'escape' => false)),
				array('UniFormErrors'),
				array('HtmlTag', array('tag' => 'div', 'class' => 'ctrlHolder'))
			));

		$this->class = 'textInput';

		parent::init();
	}

}
