<?php

class WebReport_Export_Html extends WebReport_Export_Abstract
{

	public function render($filename = null)
	{

		if (!$filename)
			$filename = "WebReport-Html-" . date("Ymdhis");

		$response = Zend_Controller_Front::getInstance()->getResponse();
		$response->setHeader("Content-Type", "text/html");
		$response->setHeader("Content-Disposition", 'filename="$filename.html"');
		
		ob_start();

		//echo "<html><head><title>TrueView Web Report - " . $this->getApplication()->getName() . "</title></head><body><h1>" . $this->getApplication()->getName() . "</h1>";
		echo "<html><head><title>TrueView Web Report</title>";
		echo "<style type=\"text/css\">td, th { text-align: center; }</style>";
		echo "</head><body><h1>TrueView Web Report</h1>";
		echo "<table>\n<thead><tr>";

		$headers = $this->getHeaders();
		foreach ($headers as $h) {
			echo "<th>" . $h . "</th>";
		}
		echo "</tr></thead>\n<tbody>";
		$data = $this->getData();
		$ck = array_keys($headers);
		foreach ($data as $row) {
			$row = (array)$row;
			$toEcho = array();
			foreach ($ck as $k) {
				if (isset($row[$k])) {
					$toEcho[] = $row[$k];
				} else {
					$toEcho[] = '';
				}
			}
			echo "<tr><td>" . implode("</td><td>", $toEcho) . "</td></tr>\n";
		}
		echo "</tbody></table></body></html>";
		ob_end_flush();

	}

}