<?php

class WebReport_FileFormats_Cnt_Block
{


	protected $_version;
	protected $_types = array();
	protected $_nbrOfTypes;
	protected $_name;

	protected $_application = null;

	protected $_cntSets = array();

	public function __construct()
	{}

	public function getVersion()
	{
		return $this->_version;
	}

	public function setVersion($version)
	{
		$this->_version = $version;
	}

	public function getTypes()
	{
		return $this->_types;
	}

	public function setTypes($types)
	{
		$this->_nbrOfTypes = count($types);
		$this->_types = $types;
	}

	public function getNumberOfTypes()
	{
		return $this->_nbrOfTypes;
	}


	public function getName()
	{
		return $this->_name;
	}

	public function setName($name)
	{
		$this->_name = $name;
	}

	public function getCntSets()
	{
		return $this->_cntSets;
	}

	public function setCntSets($cntSets)
	{
		$this->_cntSets = $cntSets;
	}

	public function addCntSet($cntSet)
	{
		$this->_cntSets[] = $cntSet;
	}


	public function getApplication()
	{
		if ($this->_application) {
			return $this->_application;
		}

		if (count($this->_cntSets) == 0) {
			return null;
		} else {
			$success = false;
			while (!$success) {
				$data = $this->_cntSets[0]->getData();
				if (count($data) > 0) {
					$row = $data[0];
					$app = Core_Model_Applications::guessApplication(array_keys($row));
					$this->_application = $app;
					return $app;
				}
			}
		}

		return null;
	}



/*		$block->setVersion($version);

		$data = fread($handle, 2);
		$nbrOfTypes = current(unpack("v",$data));
		$this->_nbrOfTypes = $nbrOfTypes;

		$data = fread($handle, 2*$nbrOfTypes);
		$types = unpack("v" . $nbrOfTypes,$data);
		$block->setTypes($types);



		$data = fread($handle, 2);
		$nameByteSize = current(unpack("v",$data));

		// read name
		$data = fread($handle, 1*$nameByteSize);
		$nameArr = unpack("C" . $nameByteSize, $data);
		$name = '';
		foreach ($nameArr as $c) {
			$name .= chr($c);
		}

		$block->setName($name);

		$logger->notice("Version: " . $block->getVersion());
		$logger->notice("Number of types: " . $block->getNumberOfTypes());
		$logger->notice("Types: " . implode(", ", $block->getTypes()));
		$logger->notice("Name: " . $block->getName());
*/
}