<?php

class WebReport_Validate_Database_ValidDatabase extends Zend_Validate_Abstract
{
	const NOT_VALID_DATABASE = 'notValidDatabase';

	protected $_messageTemplates = array(
		self::NOT_VALID_DATABASE => 'Not valid database.'
	);

	public function isValid($value, $context = null)
	{
		$value = (string) $value;
		$this->_setValue($value);

		$database = $value;

		$config = Zend_Registry::get('config');
		
		if ($database == $config->database->params->dbname) {
			
			$this->_error(self::NOT_VALID_DATABASE);
			return false;
		} else {

			return true;
		}
	}
}