<?php

class WebReport_Validate_User_OldPasswordConfirmation extends Zend_Validate_Abstract
{
	const NOT_THE_SAME = 'notTheSame';

	protected $_messageTemplates = array(
		self::NOT_THE_SAME => "The password doesn't fit your current password."
	);

	public function isValid($value, $context = null)
	{
		$value = (string) $value;
		$this->_setValue($value);

		$usersDb = new Core_Model_Users();
		$user = $usersDb->find(Zend_Auth::getInstance()->getIdentity()->user_id)->current();

		$processed = md5(STATIC_SALT . $value . $user->password_salt);
		if ($processed == $user->password) {
			return true;
		}

		$this->_error(self::NOT_THE_SAME);
		return false;
	}
}