<?php

class WebReport_View_Helper_jQueryUIConfirmDialog
{

	public $view;

	public function jQueryUIConfirmDialog($selector, $title, $text, $textSelectorRelativeToThisInSelector = false, $includeText = false, $loader = true, $form=null) {
		$t = $text;
		if ($textSelectorRelativeToThisInSelector) {
			$t = str_replace("'", "''", $t);
			$rep = $textSelectorRelativeToThisInSelector;
			if (!$includeText) {
				$rep .= ".text()";
			}
			$t = str_replace('%1$s', "' + $.trim(" . $rep . ") + '", $t);
		}

		$return = $this->view->headScript()->captureStart(); ?>

$(function() {

	$("<?= $selector; ?>").on('click', function(e) {
		e.preventDefault();
        var url = $(this).attr("href");
        var btnlist = [
          {
			      'text' : '<?= $this->view->translate("YES"); ?>',
            'click' : function() { 
              <? if(!is_null($form)): ?>
              $("<?=$form;?>").trigger('submit'); return;
              <? endif; ?>
              $(this).parent().hide(); window.location = url; $("body").append($("<div/>").addClass("overlay")).append($("<div/>").addClass("loader").css({"left": $(window).width()/2, "top": $(window).height()/2}));
            },
            'class' : 'primaryActionDialog'
          },
          {
            'text' : '<?= $this->view->translate("NO"); ?>',
            'click' : function() { $(this).dialog("close"); },
            'class' : 'secondaryAction'
		      }
        ];
		$("<div>" + <?= "'" . $t . "'"; ?> + "</div>").dialog({
			buttons: btnlist,
			title : "<?= $title; ?>",
			resizable : false,
			draggable : false,
			modal : true
		});
		return false;
	});


});


	<?php
		$this->view->headScript()->captureEnd();
	}

	public function setView(Zend_View_Interface $view)
	{
		$this->view = $view;
	}

}
