<?php

class WebReport_View_Helper_SelectAllCheckboxesLink
{

	public $view;

	public function selectAllCheckboxesLink($selector, $linkClass = "toggle-checkboxes") {
    /* connects datepicker text input with selects */

		$this->view->headScript()->captureStart(); ?>

$(function() {
	var $el = $("<?= $selector; ?>");
	$el.each(function() {
		var $holder = $(this);
		$("p.label", $holder).each(function(e) {
			$(this).append(" ");
			var $a = $(document.createElement("a")).addClass("<?= $linkClass; ?>").attr("href", "#").text('<?= $this->view->translate("TOGGLE_ALL_CHECKBOXES."); ?>').appendTo(this);
			var select = false;
			
			$("input:checkbox", $holder).each(function() {
				if (!$(this).attr("checked")) {
					select = true;	
				}
			});
			
			$a.click(function(e) {
				e.preventDefault();
				$("input:checkbox", $holder).attr("checked", select);
				select = !select;
			});
			
		});

	});

});
<?php
		$this->view->headScript()->captureEnd();


		return;
	}

	public function setView(Zend_View_Interface $view) {
		$this->view = $view;
	}

}
