$(function() {
    if($("#search-documents").length == 0) return;
    String.prototype.ellipsis = function(from) { if(this.length>from) { return this.slice(0, from-2) + "..."; } else { return this; } }

    if ($.browser.msie  && parseInt($.browser.version, 10) === 7) {
        $("#search-documents").parent().parent().hide();
    }
    if($.browser.msie && parseInt($.browser.version,10) < 10) {
        $("#search-documents").val("Find document...").click(function(){
            if($(this).val() == "Find document...") $(this).val("");
        });
    }  

    if(!($.browser.msie && parseInt($.browser.version,10) <= 7)) {
        $("#search-documents").parent().css('z-index', '1000');
        $("#search-documents").autocomplete({
            source: function(request, response) {
                $.getJSON(SEARCH_URL + "?q=" + request.term.replace(/\*/g, '%'), function(data) {
                    if(data.length) {
                        response($.map(data, function(el) {
                            return {
                                label: el.name,
                                html:  '<span class="document-name"> ' + el.name.ellipsis(40) + '</span> <span class="search-icon ' + el.type + '"' + '> </span> <span class="document-type">(' + el.type_translated + ')</span>',
                                url: el.url
                            };
                        }));
                    } else {
                        response([{label: "No search results...", html: "No search results..."}]);
                    }
                });
            },
            select: function(e, u) {
                if(u.item.url !== undefined) {
                    window.location.replace(u.item.url);
                } else {
                    setTimeout(function() {
                        $("#search-documents").val('');
                    }, 10);
                }
            },
            position: {
                my: "left bottom",
                at: "left top",
                collision: "none"
            },
            open: function(event, ui) { $(".ui-autocomplete").css("z-index", 1000); }
        }).data("autocomplete")._renderItem = function(ul, item) {
            return $("<li></li>").
                data("item.autocomplete", item).
                append("<a title='" + item.label + "'>" + item.html + "</a>").
                appendTo(ul);
        };
    }
});
