//Requires jQuery UI for dialog and datepicker.
//This should have been a viewhelper, dont use this as an example and make more jQuery plugins. It's a pain to access backend parameters from here.
(function($){

    $.fn.webreportDatePicker = function(options) {
        return this.each(function(){
            var settings = $.extend({
                // These are the defaults.
                title: "",
                buttonText: "Download",
                descriptionText: "Please send in a translateable string. Please send in a translateable string ",
                dialogAction: "open",
                pageAction: "test",
            }, options );

            var $dateDialog = $('<div/>').addClass("dateDialog").text(settings.descriptionText);
            $("<p/>").appendTo($dateDialog);

            var $dateForm = $('<form/>').addClass("dateForm").appendTo($dateDialog);

            var $datePickerDiv = $('<div/>').addClass("datePickerDiv").css("width", "100%").appendTo($dateForm);

            var $dateText = $('<div/>').addClass("dateText").css({
                'width'      : "95%",
                'text-align' : "right",
                'padding'    : "5px"})
                .appendTo($dateForm);

            var $submitButton = $('<input/>').attr("type", "submit").val(settings.buttonText).css({
                "float" : "right",
                "margin-right" : "5px"
            }).appendTo($dateForm);

            var urlBase;
            var dateAsString;
            var urlOnReferencedObject = $(this).children("a").attr("href");
            var urlEndingIndex = urlOnReferencedObject.indexOf(settings.pageAction);
            var urlBase = urlOnReferencedObject.slice(urlEndingIndex,urlOnReferencedObject.length);
            var cookie = $(this).children("a").data("look-for-cookie");

            $dateForm.submit(function (e){
                e.preventDefault;
                var formAction = "/webreport/reports/index/"+urlBase;
                generateDate = dateAsString;
                generateDate = generateDate.replace(/\//g, '-');
                formAction = formAction + "/date/" + generateDate;
                $dateForm.attr("action",formAction)
                if(cookie){
                    $(".overlay, .loader").show();
                    var timerId = setInterval(function() {
                        var pdfFinished = $.cookie(cookie);
                        if(pdfFinished &&  pdfFinished.length > 0) {
                            $(".overlay, .loader").fadeOut();
                            deleteCookie(cookie);
                            clearInterval(timerId);
                        }
                    }, 300);
                }
            });

            $dateDialog.dialog({
                        title : settings.title,
                        modal : true,
                        minHeight : 150,
                        width: 275 ,
                        resizable: false,
                        open: function() {
                            $datePickerDiv.datepicker({
                                changeMonth : true,
                                changeYear: true,
                                dateFormat : settings.dateFormat,
                                showWeek : true,
                                maxDate: +0,
                                onSelect: function(dateText, inst) {
                                    dateAsString = dateText;
                                    $dateText.html('<b>' + dateText + '</b>');
                                }
                            }).blur();

                            dateAsString = $.datepicker.formatDate(settings.dateFormat, new Date());
                            $dateText.html('<b>' + dateAsString + '</b>');
                        },
                        close: function() {
                            $datePickerDiv.datepicker('destroy');
                        }
                    }).dialog("close");

            $(this).click(function(e){
                e.preventDefault();
                $dateDialog.dialog(settings.dialogAction)
                return false;
            });
        });
    };

})(jQuery);
