(function($) {

$.fn.styleUniForm = function(options) {
	var $$ = $(this);

	options = $.extend(true, options, $.fn.styleUniForm.defaults);
	
	$$.each(function() {
		var $el = $(this);
		var $p = $("div.ctrlHolder.error", this).removeClass("error");
		//console.log($p.length);
		$p = $("p.errorField", this);
		//console.log($p.length);
		//console.log($p);
		$p.remove();
		// show errors in form, uni-form style
		$.each(options.errors, function(element, errors) {
			var $element = $("[name=" + element + "]:input", $el);
			if ($element.length == 0) {
				$element = $("[name^=" + element + "]:input", $el);				
			} 
			
			if ($element.length > 1) {
				$element = $element.eq(0);
			}
				
			var $holder = $element.closest("div.ctrlHolder");
			
	      $.each(errors, function(key, message) {
				$holder.addClass("error").prepend('<p class="errorField"><strong>' + message + '</strong></p>');
			});
		});
	});

	return $$;
}

$.fn.styleUniForm.defaults = {
	errors : {}
}

 })(jQuery);
